
#-- start of constituents_header ------

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

tags      = $(tag),$(CMTEXTRATAGS)

AtlantisJava_tag = $(tag)

#cmt_local_tagfile = $(AtlantisJava_tag).make
cmt_local_tagfile = $(bin)$(AtlantisJava_tag).make

#-include $(cmt_local_tagfile)
include $(cmt_local_tagfile)

#cmt_local_setup = $(bin)setup$$$$.make
#cmt_local_setup = $(bin)$(package)setup$$$$.make
#cmt_final_setup = $(bin)AtlantisJavasetup.make
cmt_final_setup = $(bin)setup.make
#cmt_final_setup = $(bin)$(package)setup.make

cmt_build_library_linksstamp = $(bin)cmt_build_library_links.stamp
#--------------------------------------------------------

#cmt_lock_setup = /tmp/lock$(cmt_lock_pid).make
#cmt_temp_tag = /tmp/tag$(cmt_lock_pid).make

#first :: $(cmt_local_tagfile)
#	@echo $(cmt_local_tagfile) ok
#ifndef QUICK
#first :: $(cmt_final_setup) ;
#else
#first :: ;
#endif

##	@bin=`$(cmtexe) show macro_value bin`

#$(cmt_local_tagfile) : $(cmt_lock_setup)
#	@echo "#CMT> Error: $@: No such file" >&2; exit 1
#$(cmt_local_tagfile) :
#	@echo "#CMT> Warning: $@: No such file" >&2; exit
#	@echo "#CMT> Info: $@: No need to rebuild file" >&2; exit

#$(cmt_final_setup) : $(cmt_local_tagfile) 
#	$(echo) "(constituents.make) Rebuilding $@"
#	@if test ! -d $(@D); then $(mkdir) -p $(@D); fi; \
#	  if test -f $(cmt_local_setup); then /bin/rm -f $(cmt_local_setup); fi; \
#	  trap '/bin/rm -f $(cmt_local_setup)' 0 1 2 15; \
#	  $(cmtexe) -tag=$(tags) show setup >>$(cmt_local_setup); \
#	  if test ! -f $@; then \
#	    mv $(cmt_local_setup) $@; \
#	  else \
#	    if /usr/bin/diff $(cmt_local_setup) $@ >/dev/null ; then \
#	      : ; \
#	    else \
#	      mv $(cmt_local_setup) $@; \
#	    fi; \
#	  fi

#	@/bin/echo $@ ok   

#config :: checkuses
#	@exit 0
#checkuses : ;

env.make ::
	printenv >env.make.tmp; $(cmtexe) check files env.make.tmp env.make

ifndef QUICK
all :: build_library_links ;
else
all :: $(cmt_build_library_linksstamp) ;
endif

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

dirs :: requirements
	@if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi
#	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
#	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi

#requirements :
#	@if test ! -r requirements ; then echo "No requirements file" ; fi

build_library_links : dirs
	$(echo) "(constituents.make) Rebuilding library links"; \
	 $(build_library_links)
#	if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi; \
#	$(build_library_links)

$(cmt_build_library_linksstamp) : $(cmt_final_setup) $(cmt_local_tagfile) $(bin)library_links.in
	$(echo) "(constituents.make) Rebuilding library links"; \
	 $(build_library_links) -f=$(bin)library_links.in -without_cmt
	$(silent) \touch $@

ifndef PEDANTIC
.DEFAULT ::
#.DEFAULT :
	$(echo) "(constituents.make) $@: No rule for such target" >&2
endif

${CMTROOT}/src/Makefile.core : ;
ifdef use_requirements
$(use_requirements) : ;
endif

#-- end of constituents_header ------
#-- start of group ------

all_groups :: all

all :: $(all_dependencies)  $(all_pre_constituents) $(all_constituents)  $(all_post_constituents)
	$(echo) "all ok."

#	@/bin/echo " all ok."

clean :: allclean

allclean ::  $(all_constituentsclean)
	$(echo) $(all_constituentsclean)
	$(echo) "allclean ok."

#	@echo $(all_constituentsclean)
#	@/bin/echo " allclean ok."

#-- end of group ------
#-- start of group ------

all_groups :: cmt_actions

cmt_actions :: $(cmt_actions_dependencies)  $(cmt_actions_pre_constituents) $(cmt_actions_constituents)  $(cmt_actions_post_constituents)
	$(echo) "cmt_actions ok."

#	@/bin/echo " cmt_actions ok."

clean :: allclean

cmt_actionsclean ::  $(cmt_actions_constituentsclean)
	$(echo) $(cmt_actions_constituentsclean)
	$(echo) "cmt_actionsclean ok."

#	@echo $(cmt_actions_constituentsclean)
#	@/bin/echo " cmt_actionsclean ok."

#-- end of group ------
#-- start of group ------

all_groups :: rulechecker

rulechecker :: $(rulechecker_dependencies)  $(rulechecker_pre_constituents) $(rulechecker_constituents)  $(rulechecker_post_constituents)
	$(echo) "rulechecker ok."

#	@/bin/echo " rulechecker ok."

clean :: allclean

rulecheckerclean ::  $(rulechecker_constituentsclean)
	$(echo) $(rulechecker_constituentsclean)
	$(echo) "rulecheckerclean ok."

#	@echo $(rulechecker_constituentsclean)
#	@/bin/echo " rulecheckerclean ok."

#-- end of group ------
#-- start of constituent ------

cmt_buildTask_has_no_target_tag = 1

#--------------------------------------

ifdef cmt_buildTask_has_target_tag

cmt_local_tagfile_buildTask = $(bin)$(AtlantisJava_tag)_buildTask.make
cmt_final_setup_buildTask = $(bin)setup_buildTask.make
cmt_local_buildTask_makefile = $(bin)buildTask.make

buildTask_extratags = -tag_add=target_buildTask

else

cmt_local_tagfile_buildTask = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_buildTask = $(bin)setup.make
cmt_local_buildTask_makefile = $(bin)buildTask.make

endif

not_buildTask_dependencies = { n=0; for p in $?; do m=0; for d in $(buildTask_dependencies); do if [ $$p = $$d ]; then m=1; break; fi; done; if [ $$m -eq 0 ]; then n=1; break; fi; done; [ $$n -eq 1 ]; }

ifdef STRUCTURED_OUTPUT
buildTaskdirs :
	@if test ! -d $(bin)buildTask; then $(mkdir) -p $(bin)buildTask; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)buildTask
else
buildTaskdirs : ;
endif

ifdef cmt_buildTask_has_target_tag

ifndef QUICK
$(cmt_local_buildTask_makefile) : $(buildTask_dependencies) build_library_links
	$(echo) "(constituents.make) Building buildTask.make"; \
	  $(cmtexe) -tag=$(tags) $(buildTask_extratags) build constituent_config -out=$(cmt_local_buildTask_makefile) buildTask
else
$(cmt_local_buildTask_makefile) : $(buildTask_dependencies) $(cmt_build_library_linksstamp) $(use_requirements)
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_buildTask) ] || \
	  [ ! -f $(cmt_final_setup_buildTask) ] || \
	  $(not_buildTask_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building buildTask.make"; \
	  $(cmtexe) -tag=$(tags) $(buildTask_extratags) build constituent_config -out=$(cmt_local_buildTask_makefile) buildTask; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_buildTask_makefile) : $(buildTask_dependencies) build_library_links
	$(echo) "(constituents.make) Building buildTask.make"; \
	  $(cmtexe) -f=$(bin)buildTask.in -tag=$(tags) $(buildTask_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_buildTask_makefile) buildTask
else
$(cmt_local_buildTask_makefile) : $(buildTask_dependencies) $(cmt_build_library_linksstamp) $(bin)buildTask.in
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_buildTask) ] || \
	  [ ! -f $(cmt_final_setup_buildTask) ] || \
	  $(not_buildTask_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building buildTask.make"; \
	  $(cmtexe) -f=$(bin)buildTask.in -tag=$(tags) $(buildTask_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_buildTask_makefile) buildTask; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(buildTask_extratags) build constituent_makefile -out=$(cmt_local_buildTask_makefile) buildTask

buildTask :: $(buildTask_dependencies) $(cmt_local_buildTask_makefile) dirs buildTaskdirs
	$(echo) "(constituents.make) Starting buildTask"
	@if test -f $(cmt_local_buildTask_makefile); then \
	  $(MAKE) -f $(cmt_local_buildTask_makefile) buildTask; \
	  fi
#	@$(MAKE) -f $(cmt_local_buildTask_makefile) buildTask
	$(echo) "(constituents.make) buildTask done"

clean :: buildTaskclean ;

buildTaskclean :: $(buildTaskclean_dependencies) ##$(cmt_local_buildTask_makefile)
	$(echo) "(constituents.make) Starting buildTaskclean"
	@-if test -f $(cmt_local_buildTask_makefile); then \
	  $(MAKE) -f $(cmt_local_buildTask_makefile) buildTaskclean; \
	fi
	$(echo) "(constituents.make) buildTaskclean done"
#	@-$(MAKE) -f $(cmt_local_buildTask_makefile) buildTaskclean

##	  /bin/rm -f $(cmt_local_buildTask_makefile) $(bin)buildTask_dependencies.make

install :: buildTaskinstall ;

buildTaskinstall :: $(buildTask_dependencies) $(cmt_local_buildTask_makefile)
	$(echo) "(constituents.make) Starting $@"
	@if test -f $(cmt_local_buildTask_makefile); then \
	  $(MAKE) -f $(cmt_local_buildTask_makefile) install; \
	  fi
#	@-$(MAKE) -f $(cmt_local_buildTask_makefile) install
	$(echo) "(constituents.make) $@ done"

uninstall : buildTaskuninstall

$(foreach d,$(buildTask_dependencies),$(eval $(d)uninstall_dependencies += buildTaskuninstall))

buildTaskuninstall : $(buildTaskuninstall_dependencies) ##$(cmt_local_buildTask_makefile)
	$(echo) "(constituents.make) Starting $@"
	@-if test -f $(cmt_local_buildTask_makefile); then \
	  $(MAKE) -f $(cmt_local_buildTask_makefile) uninstall; \
	  fi
#	@$(MAKE) -f $(cmt_local_buildTask_makefile) uninstall
	$(echo) "(constituents.make) $@ done"

remove_library_links :: buildTaskuninstall ;

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ buildTask"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ buildTask done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_install_scripts_has_no_target_tag = 1

#--------------------------------------

ifdef cmt_install_scripts_has_target_tag

cmt_local_tagfile_install_scripts = $(bin)$(AtlantisJava_tag)_install_scripts.make
cmt_final_setup_install_scripts = $(bin)setup_install_scripts.make
cmt_local_install_scripts_makefile = $(bin)install_scripts.make

install_scripts_extratags = -tag_add=target_install_scripts

else

cmt_local_tagfile_install_scripts = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_install_scripts = $(bin)setup.make
cmt_local_install_scripts_makefile = $(bin)install_scripts.make

endif

not_install_scripts_dependencies = { n=0; for p in $?; do m=0; for d in $(install_scripts_dependencies); do if [ $$p = $$d ]; then m=1; break; fi; done; if [ $$m -eq 0 ]; then n=1; break; fi; done; [ $$n -eq 1 ]; }

ifdef STRUCTURED_OUTPUT
install_scriptsdirs :
	@if test ! -d $(bin)install_scripts; then $(mkdir) -p $(bin)install_scripts; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)install_scripts
else
install_scriptsdirs : ;
endif

ifdef cmt_install_scripts_has_target_tag

ifndef QUICK
$(cmt_local_install_scripts_makefile) : $(install_scripts_dependencies) build_library_links
	$(echo) "(constituents.make) Building install_scripts.make"; \
	  $(cmtexe) -tag=$(tags) $(install_scripts_extratags) build constituent_config -out=$(cmt_local_install_scripts_makefile) install_scripts
else
$(cmt_local_install_scripts_makefile) : $(install_scripts_dependencies) $(cmt_build_library_linksstamp) $(use_requirements)
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_install_scripts) ] || \
	  [ ! -f $(cmt_final_setup_install_scripts) ] || \
	  $(not_install_scripts_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building install_scripts.make"; \
	  $(cmtexe) -tag=$(tags) $(install_scripts_extratags) build constituent_config -out=$(cmt_local_install_scripts_makefile) install_scripts; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_install_scripts_makefile) : $(install_scripts_dependencies) build_library_links
	$(echo) "(constituents.make) Building install_scripts.make"; \
	  $(cmtexe) -f=$(bin)install_scripts.in -tag=$(tags) $(install_scripts_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_install_scripts_makefile) install_scripts
else
$(cmt_local_install_scripts_makefile) : $(install_scripts_dependencies) $(cmt_build_library_linksstamp) $(bin)install_scripts.in
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_install_scripts) ] || \
	  [ ! -f $(cmt_final_setup_install_scripts) ] || \
	  $(not_install_scripts_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building install_scripts.make"; \
	  $(cmtexe) -f=$(bin)install_scripts.in -tag=$(tags) $(install_scripts_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_install_scripts_makefile) install_scripts; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(install_scripts_extratags) build constituent_makefile -out=$(cmt_local_install_scripts_makefile) install_scripts

install_scripts :: $(install_scripts_dependencies) $(cmt_local_install_scripts_makefile) dirs install_scriptsdirs
	$(echo) "(constituents.make) Starting install_scripts"
	@if test -f $(cmt_local_install_scripts_makefile); then \
	  $(MAKE) -f $(cmt_local_install_scripts_makefile) install_scripts; \
	  fi
#	@$(MAKE) -f $(cmt_local_install_scripts_makefile) install_scripts
	$(echo) "(constituents.make) install_scripts done"

clean :: install_scriptsclean ;

install_scriptsclean :: $(install_scriptsclean_dependencies) ##$(cmt_local_install_scripts_makefile)
	$(echo) "(constituents.make) Starting install_scriptsclean"
	@-if test -f $(cmt_local_install_scripts_makefile); then \
	  $(MAKE) -f $(cmt_local_install_scripts_makefile) install_scriptsclean; \
	fi
	$(echo) "(constituents.make) install_scriptsclean done"
#	@-$(MAKE) -f $(cmt_local_install_scripts_makefile) install_scriptsclean

##	  /bin/rm -f $(cmt_local_install_scripts_makefile) $(bin)install_scripts_dependencies.make

install :: install_scriptsinstall ;

install_scriptsinstall :: $(install_scripts_dependencies) $(cmt_local_install_scripts_makefile)
	$(echo) "(constituents.make) Starting $@"
	@if test -f $(cmt_local_install_scripts_makefile); then \
	  $(MAKE) -f $(cmt_local_install_scripts_makefile) install; \
	  fi
#	@-$(MAKE) -f $(cmt_local_install_scripts_makefile) install
	$(echo) "(constituents.make) $@ done"

uninstall : install_scriptsuninstall

$(foreach d,$(install_scripts_dependencies),$(eval $(d)uninstall_dependencies += install_scriptsuninstall))

install_scriptsuninstall : $(install_scriptsuninstall_dependencies) ##$(cmt_local_install_scripts_makefile)
	$(echo) "(constituents.make) Starting $@"
	@-if test -f $(cmt_local_install_scripts_makefile); then \
	  $(MAKE) -f $(cmt_local_install_scripts_makefile) uninstall; \
	  fi
#	@$(MAKE) -f $(cmt_local_install_scripts_makefile) uninstall
	$(echo) "(constituents.make) $@ done"

remove_library_links :: install_scriptsuninstall ;

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ install_scripts"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ install_scripts done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_install_joboptions_has_no_target_tag = 1

#--------------------------------------

ifdef cmt_install_joboptions_has_target_tag

cmt_local_tagfile_install_joboptions = $(bin)$(AtlantisJava_tag)_install_joboptions.make
cmt_final_setup_install_joboptions = $(bin)setup_install_joboptions.make
cmt_local_install_joboptions_makefile = $(bin)install_joboptions.make

install_joboptions_extratags = -tag_add=target_install_joboptions

else

cmt_local_tagfile_install_joboptions = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_install_joboptions = $(bin)setup.make
cmt_local_install_joboptions_makefile = $(bin)install_joboptions.make

endif

not_install_joboptions_dependencies = { n=0; for p in $?; do m=0; for d in $(install_joboptions_dependencies); do if [ $$p = $$d ]; then m=1; break; fi; done; if [ $$m -eq 0 ]; then n=1; break; fi; done; [ $$n -eq 1 ]; }

ifdef STRUCTURED_OUTPUT
install_joboptionsdirs :
	@if test ! -d $(bin)install_joboptions; then $(mkdir) -p $(bin)install_joboptions; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)install_joboptions
else
install_joboptionsdirs : ;
endif

ifdef cmt_install_joboptions_has_target_tag

ifndef QUICK
$(cmt_local_install_joboptions_makefile) : $(install_joboptions_dependencies) build_library_links
	$(echo) "(constituents.make) Building install_joboptions.make"; \
	  $(cmtexe) -tag=$(tags) $(install_joboptions_extratags) build constituent_config -out=$(cmt_local_install_joboptions_makefile) install_joboptions
else
$(cmt_local_install_joboptions_makefile) : $(install_joboptions_dependencies) $(cmt_build_library_linksstamp) $(use_requirements)
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_install_joboptions) ] || \
	  [ ! -f $(cmt_final_setup_install_joboptions) ] || \
	  $(not_install_joboptions_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building install_joboptions.make"; \
	  $(cmtexe) -tag=$(tags) $(install_joboptions_extratags) build constituent_config -out=$(cmt_local_install_joboptions_makefile) install_joboptions; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_install_joboptions_makefile) : $(install_joboptions_dependencies) build_library_links
	$(echo) "(constituents.make) Building install_joboptions.make"; \
	  $(cmtexe) -f=$(bin)install_joboptions.in -tag=$(tags) $(install_joboptions_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_install_joboptions_makefile) install_joboptions
else
$(cmt_local_install_joboptions_makefile) : $(install_joboptions_dependencies) $(cmt_build_library_linksstamp) $(bin)install_joboptions.in
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_install_joboptions) ] || \
	  [ ! -f $(cmt_final_setup_install_joboptions) ] || \
	  $(not_install_joboptions_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building install_joboptions.make"; \
	  $(cmtexe) -f=$(bin)install_joboptions.in -tag=$(tags) $(install_joboptions_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_install_joboptions_makefile) install_joboptions; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(install_joboptions_extratags) build constituent_makefile -out=$(cmt_local_install_joboptions_makefile) install_joboptions

install_joboptions :: $(install_joboptions_dependencies) $(cmt_local_install_joboptions_makefile) dirs install_joboptionsdirs
	$(echo) "(constituents.make) Starting install_joboptions"
	@if test -f $(cmt_local_install_joboptions_makefile); then \
	  $(MAKE) -f $(cmt_local_install_joboptions_makefile) install_joboptions; \
	  fi
#	@$(MAKE) -f $(cmt_local_install_joboptions_makefile) install_joboptions
	$(echo) "(constituents.make) install_joboptions done"

clean :: install_joboptionsclean ;

install_joboptionsclean :: $(install_joboptionsclean_dependencies) ##$(cmt_local_install_joboptions_makefile)
	$(echo) "(constituents.make) Starting install_joboptionsclean"
	@-if test -f $(cmt_local_install_joboptions_makefile); then \
	  $(MAKE) -f $(cmt_local_install_joboptions_makefile) install_joboptionsclean; \
	fi
	$(echo) "(constituents.make) install_joboptionsclean done"
#	@-$(MAKE) -f $(cmt_local_install_joboptions_makefile) install_joboptionsclean

##	  /bin/rm -f $(cmt_local_install_joboptions_makefile) $(bin)install_joboptions_dependencies.make

install :: install_joboptionsinstall ;

install_joboptionsinstall :: $(install_joboptions_dependencies) $(cmt_local_install_joboptions_makefile)
	$(echo) "(constituents.make) Starting $@"
	@if test -f $(cmt_local_install_joboptions_makefile); then \
	  $(MAKE) -f $(cmt_local_install_joboptions_makefile) install; \
	  fi
#	@-$(MAKE) -f $(cmt_local_install_joboptions_makefile) install
	$(echo) "(constituents.make) $@ done"

uninstall : install_joboptionsuninstall

$(foreach d,$(install_joboptions_dependencies),$(eval $(d)uninstall_dependencies += install_joboptionsuninstall))

install_joboptionsuninstall : $(install_joboptionsuninstall_dependencies) ##$(cmt_local_install_joboptions_makefile)
	$(echo) "(constituents.make) Starting $@"
	@-if test -f $(cmt_local_install_joboptions_makefile); then \
	  $(MAKE) -f $(cmt_local_install_joboptions_makefile) uninstall; \
	  fi
#	@$(MAKE) -f $(cmt_local_install_joboptions_makefile) uninstall
	$(echo) "(constituents.make) $@ done"

remove_library_links :: install_joboptionsuninstall ;

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ install_joboptions"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ install_joboptions done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_install_jar_has_no_target_tag = 1

#--------------------------------------

ifdef cmt_install_jar_has_target_tag

cmt_local_tagfile_install_jar = $(bin)$(AtlantisJava_tag)_install_jar.make
cmt_final_setup_install_jar = $(bin)setup_install_jar.make
cmt_local_install_jar_makefile = $(bin)install_jar.make

install_jar_extratags = -tag_add=target_install_jar

else

cmt_local_tagfile_install_jar = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_install_jar = $(bin)setup.make
cmt_local_install_jar_makefile = $(bin)install_jar.make

endif

not_install_jar_dependencies = { n=0; for p in $?; do m=0; for d in $(install_jar_dependencies); do if [ $$p = $$d ]; then m=1; break; fi; done; if [ $$m -eq 0 ]; then n=1; break; fi; done; [ $$n -eq 1 ]; }

ifdef STRUCTURED_OUTPUT
install_jardirs :
	@if test ! -d $(bin)install_jar; then $(mkdir) -p $(bin)install_jar; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)install_jar
else
install_jardirs : ;
endif

ifdef cmt_install_jar_has_target_tag

ifndef QUICK
$(cmt_local_install_jar_makefile) : $(install_jar_dependencies) build_library_links
	$(echo) "(constituents.make) Building install_jar.make"; \
	  $(cmtexe) -tag=$(tags) $(install_jar_extratags) build constituent_config -out=$(cmt_local_install_jar_makefile) install_jar
else
$(cmt_local_install_jar_makefile) : $(install_jar_dependencies) $(cmt_build_library_linksstamp) $(use_requirements)
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_install_jar) ] || \
	  [ ! -f $(cmt_final_setup_install_jar) ] || \
	  $(not_install_jar_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building install_jar.make"; \
	  $(cmtexe) -tag=$(tags) $(install_jar_extratags) build constituent_config -out=$(cmt_local_install_jar_makefile) install_jar; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_install_jar_makefile) : $(install_jar_dependencies) build_library_links
	$(echo) "(constituents.make) Building install_jar.make"; \
	  $(cmtexe) -f=$(bin)install_jar.in -tag=$(tags) $(install_jar_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_install_jar_makefile) install_jar
else
$(cmt_local_install_jar_makefile) : $(install_jar_dependencies) $(cmt_build_library_linksstamp) $(bin)install_jar.in
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_install_jar) ] || \
	  [ ! -f $(cmt_final_setup_install_jar) ] || \
	  $(not_install_jar_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building install_jar.make"; \
	  $(cmtexe) -f=$(bin)install_jar.in -tag=$(tags) $(install_jar_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_install_jar_makefile) install_jar; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(install_jar_extratags) build constituent_makefile -out=$(cmt_local_install_jar_makefile) install_jar

install_jar :: $(install_jar_dependencies) $(cmt_local_install_jar_makefile) dirs install_jardirs
	$(echo) "(constituents.make) Starting install_jar"
	@if test -f $(cmt_local_install_jar_makefile); then \
	  $(MAKE) -f $(cmt_local_install_jar_makefile) install_jar; \
	  fi
#	@$(MAKE) -f $(cmt_local_install_jar_makefile) install_jar
	$(echo) "(constituents.make) install_jar done"

clean :: install_jarclean ;

install_jarclean :: $(install_jarclean_dependencies) ##$(cmt_local_install_jar_makefile)
	$(echo) "(constituents.make) Starting install_jarclean"
	@-if test -f $(cmt_local_install_jar_makefile); then \
	  $(MAKE) -f $(cmt_local_install_jar_makefile) install_jarclean; \
	fi
	$(echo) "(constituents.make) install_jarclean done"
#	@-$(MAKE) -f $(cmt_local_install_jar_makefile) install_jarclean

##	  /bin/rm -f $(cmt_local_install_jar_makefile) $(bin)install_jar_dependencies.make

install :: install_jarinstall ;

install_jarinstall :: $(install_jar_dependencies) $(cmt_local_install_jar_makefile)
	$(echo) "(constituents.make) Starting $@"
	@if test -f $(cmt_local_install_jar_makefile); then \
	  $(MAKE) -f $(cmt_local_install_jar_makefile) install; \
	  fi
#	@-$(MAKE) -f $(cmt_local_install_jar_makefile) install
	$(echo) "(constituents.make) $@ done"

uninstall : install_jaruninstall

$(foreach d,$(install_jar_dependencies),$(eval $(d)uninstall_dependencies += install_jaruninstall))

install_jaruninstall : $(install_jaruninstall_dependencies) ##$(cmt_local_install_jar_makefile)
	$(echo) "(constituents.make) Starting $@"
	@-if test -f $(cmt_local_install_jar_makefile); then \
	  $(MAKE) -f $(cmt_local_install_jar_makefile) uninstall; \
	  fi
#	@$(MAKE) -f $(cmt_local_install_jar_makefile) uninstall
	$(echo) "(constituents.make) $@ done"

remove_library_links :: install_jaruninstall ;

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ install_jar"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ install_jar done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_install_lib_has_no_target_tag = 1

#--------------------------------------

ifdef cmt_install_lib_has_target_tag

cmt_local_tagfile_install_lib = $(bin)$(AtlantisJava_tag)_install_lib.make
cmt_final_setup_install_lib = $(bin)setup_install_lib.make
cmt_local_install_lib_makefile = $(bin)install_lib.make

install_lib_extratags = -tag_add=target_install_lib

else

cmt_local_tagfile_install_lib = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_install_lib = $(bin)setup.make
cmt_local_install_lib_makefile = $(bin)install_lib.make

endif

not_install_lib_dependencies = { n=0; for p in $?; do m=0; for d in $(install_lib_dependencies); do if [ $$p = $$d ]; then m=1; break; fi; done; if [ $$m -eq 0 ]; then n=1; break; fi; done; [ $$n -eq 1 ]; }

ifdef STRUCTURED_OUTPUT
install_libdirs :
	@if test ! -d $(bin)install_lib; then $(mkdir) -p $(bin)install_lib; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)install_lib
else
install_libdirs : ;
endif

ifdef cmt_install_lib_has_target_tag

ifndef QUICK
$(cmt_local_install_lib_makefile) : $(install_lib_dependencies) build_library_links
	$(echo) "(constituents.make) Building install_lib.make"; \
	  $(cmtexe) -tag=$(tags) $(install_lib_extratags) build constituent_config -out=$(cmt_local_install_lib_makefile) install_lib
else
$(cmt_local_install_lib_makefile) : $(install_lib_dependencies) $(cmt_build_library_linksstamp) $(use_requirements)
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_install_lib) ] || \
	  [ ! -f $(cmt_final_setup_install_lib) ] || \
	  $(not_install_lib_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building install_lib.make"; \
	  $(cmtexe) -tag=$(tags) $(install_lib_extratags) build constituent_config -out=$(cmt_local_install_lib_makefile) install_lib; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_install_lib_makefile) : $(install_lib_dependencies) build_library_links
	$(echo) "(constituents.make) Building install_lib.make"; \
	  $(cmtexe) -f=$(bin)install_lib.in -tag=$(tags) $(install_lib_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_install_lib_makefile) install_lib
else
$(cmt_local_install_lib_makefile) : $(install_lib_dependencies) $(cmt_build_library_linksstamp) $(bin)install_lib.in
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_install_lib) ] || \
	  [ ! -f $(cmt_final_setup_install_lib) ] || \
	  $(not_install_lib_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building install_lib.make"; \
	  $(cmtexe) -f=$(bin)install_lib.in -tag=$(tags) $(install_lib_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_install_lib_makefile) install_lib; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(install_lib_extratags) build constituent_makefile -out=$(cmt_local_install_lib_makefile) install_lib

install_lib :: $(install_lib_dependencies) $(cmt_local_install_lib_makefile) dirs install_libdirs
	$(echo) "(constituents.make) Starting install_lib"
	@if test -f $(cmt_local_install_lib_makefile); then \
	  $(MAKE) -f $(cmt_local_install_lib_makefile) install_lib; \
	  fi
#	@$(MAKE) -f $(cmt_local_install_lib_makefile) install_lib
	$(echo) "(constituents.make) install_lib done"

clean :: install_libclean ;

install_libclean :: $(install_libclean_dependencies) ##$(cmt_local_install_lib_makefile)
	$(echo) "(constituents.make) Starting install_libclean"
	@-if test -f $(cmt_local_install_lib_makefile); then \
	  $(MAKE) -f $(cmt_local_install_lib_makefile) install_libclean; \
	fi
	$(echo) "(constituents.make) install_libclean done"
#	@-$(MAKE) -f $(cmt_local_install_lib_makefile) install_libclean

##	  /bin/rm -f $(cmt_local_install_lib_makefile) $(bin)install_lib_dependencies.make

install :: install_libinstall ;

install_libinstall :: $(install_lib_dependencies) $(cmt_local_install_lib_makefile)
	$(echo) "(constituents.make) Starting $@"
	@if test -f $(cmt_local_install_lib_makefile); then \
	  $(MAKE) -f $(cmt_local_install_lib_makefile) install; \
	  fi
#	@-$(MAKE) -f $(cmt_local_install_lib_makefile) install
	$(echo) "(constituents.make) $@ done"

uninstall : install_libuninstall

$(foreach d,$(install_lib_dependencies),$(eval $(d)uninstall_dependencies += install_libuninstall))

install_libuninstall : $(install_libuninstall_dependencies) ##$(cmt_local_install_lib_makefile)
	$(echo) "(constituents.make) Starting $@"
	@-if test -f $(cmt_local_install_lib_makefile); then \
	  $(MAKE) -f $(cmt_local_install_lib_makefile) uninstall; \
	  fi
#	@$(MAKE) -f $(cmt_local_install_lib_makefile) uninstall
	$(echo) "(constituents.make) $@ done"

remove_library_links :: install_libuninstall ;

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ install_lib"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ install_lib done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_install_img_has_no_target_tag = 1

#--------------------------------------

ifdef cmt_install_img_has_target_tag

cmt_local_tagfile_install_img = $(bin)$(AtlantisJava_tag)_install_img.make
cmt_final_setup_install_img = $(bin)setup_install_img.make
cmt_local_install_img_makefile = $(bin)install_img.make

install_img_extratags = -tag_add=target_install_img

else

cmt_local_tagfile_install_img = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_install_img = $(bin)setup.make
cmt_local_install_img_makefile = $(bin)install_img.make

endif

not_install_img_dependencies = { n=0; for p in $?; do m=0; for d in $(install_img_dependencies); do if [ $$p = $$d ]; then m=1; break; fi; done; if [ $$m -eq 0 ]; then n=1; break; fi; done; [ $$n -eq 1 ]; }

ifdef STRUCTURED_OUTPUT
install_imgdirs :
	@if test ! -d $(bin)install_img; then $(mkdir) -p $(bin)install_img; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)install_img
else
install_imgdirs : ;
endif

ifdef cmt_install_img_has_target_tag

ifndef QUICK
$(cmt_local_install_img_makefile) : $(install_img_dependencies) build_library_links
	$(echo) "(constituents.make) Building install_img.make"; \
	  $(cmtexe) -tag=$(tags) $(install_img_extratags) build constituent_config -out=$(cmt_local_install_img_makefile) install_img
else
$(cmt_local_install_img_makefile) : $(install_img_dependencies) $(cmt_build_library_linksstamp) $(use_requirements)
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_install_img) ] || \
	  [ ! -f $(cmt_final_setup_install_img) ] || \
	  $(not_install_img_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building install_img.make"; \
	  $(cmtexe) -tag=$(tags) $(install_img_extratags) build constituent_config -out=$(cmt_local_install_img_makefile) install_img; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_install_img_makefile) : $(install_img_dependencies) build_library_links
	$(echo) "(constituents.make) Building install_img.make"; \
	  $(cmtexe) -f=$(bin)install_img.in -tag=$(tags) $(install_img_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_install_img_makefile) install_img
else
$(cmt_local_install_img_makefile) : $(install_img_dependencies) $(cmt_build_library_linksstamp) $(bin)install_img.in
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_install_img) ] || \
	  [ ! -f $(cmt_final_setup_install_img) ] || \
	  $(not_install_img_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building install_img.make"; \
	  $(cmtexe) -f=$(bin)install_img.in -tag=$(tags) $(install_img_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_install_img_makefile) install_img; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(install_img_extratags) build constituent_makefile -out=$(cmt_local_install_img_makefile) install_img

install_img :: $(install_img_dependencies) $(cmt_local_install_img_makefile) dirs install_imgdirs
	$(echo) "(constituents.make) Starting install_img"
	@if test -f $(cmt_local_install_img_makefile); then \
	  $(MAKE) -f $(cmt_local_install_img_makefile) install_img; \
	  fi
#	@$(MAKE) -f $(cmt_local_install_img_makefile) install_img
	$(echo) "(constituents.make) install_img done"

clean :: install_imgclean ;

install_imgclean :: $(install_imgclean_dependencies) ##$(cmt_local_install_img_makefile)
	$(echo) "(constituents.make) Starting install_imgclean"
	@-if test -f $(cmt_local_install_img_makefile); then \
	  $(MAKE) -f $(cmt_local_install_img_makefile) install_imgclean; \
	fi
	$(echo) "(constituents.make) install_imgclean done"
#	@-$(MAKE) -f $(cmt_local_install_img_makefile) install_imgclean

##	  /bin/rm -f $(cmt_local_install_img_makefile) $(bin)install_img_dependencies.make

install :: install_imginstall ;

install_imginstall :: $(install_img_dependencies) $(cmt_local_install_img_makefile)
	$(echo) "(constituents.make) Starting $@"
	@if test -f $(cmt_local_install_img_makefile); then \
	  $(MAKE) -f $(cmt_local_install_img_makefile) install; \
	  fi
#	@-$(MAKE) -f $(cmt_local_install_img_makefile) install
	$(echo) "(constituents.make) $@ done"

uninstall : install_imguninstall

$(foreach d,$(install_img_dependencies),$(eval $(d)uninstall_dependencies += install_imguninstall))

install_imguninstall : $(install_imguninstall_dependencies) ##$(cmt_local_install_img_makefile)
	$(echo) "(constituents.make) Starting $@"
	@-if test -f $(cmt_local_install_img_makefile); then \
	  $(MAKE) -f $(cmt_local_install_img_makefile) uninstall; \
	  fi
#	@$(MAKE) -f $(cmt_local_install_img_makefile) uninstall
	$(echo) "(constituents.make) $@ done"

remove_library_links :: install_imguninstall ;

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ install_img"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ install_img done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_install_configuration_has_no_target_tag = 1

#--------------------------------------

ifdef cmt_install_configuration_has_target_tag

cmt_local_tagfile_install_configuration = $(bin)$(AtlantisJava_tag)_install_configuration.make
cmt_final_setup_install_configuration = $(bin)setup_install_configuration.make
cmt_local_install_configuration_makefile = $(bin)install_configuration.make

install_configuration_extratags = -tag_add=target_install_configuration

else

cmt_local_tagfile_install_configuration = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_install_configuration = $(bin)setup.make
cmt_local_install_configuration_makefile = $(bin)install_configuration.make

endif

not_install_configuration_dependencies = { n=0; for p in $?; do m=0; for d in $(install_configuration_dependencies); do if [ $$p = $$d ]; then m=1; break; fi; done; if [ $$m -eq 0 ]; then n=1; break; fi; done; [ $$n -eq 1 ]; }

ifdef STRUCTURED_OUTPUT
install_configurationdirs :
	@if test ! -d $(bin)install_configuration; then $(mkdir) -p $(bin)install_configuration; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)install_configuration
else
install_configurationdirs : ;
endif

ifdef cmt_install_configuration_has_target_tag

ifndef QUICK
$(cmt_local_install_configuration_makefile) : $(install_configuration_dependencies) build_library_links
	$(echo) "(constituents.make) Building install_configuration.make"; \
	  $(cmtexe) -tag=$(tags) $(install_configuration_extratags) build constituent_config -out=$(cmt_local_install_configuration_makefile) install_configuration
else
$(cmt_local_install_configuration_makefile) : $(install_configuration_dependencies) $(cmt_build_library_linksstamp) $(use_requirements)
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_install_configuration) ] || \
	  [ ! -f $(cmt_final_setup_install_configuration) ] || \
	  $(not_install_configuration_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building install_configuration.make"; \
	  $(cmtexe) -tag=$(tags) $(install_configuration_extratags) build constituent_config -out=$(cmt_local_install_configuration_makefile) install_configuration; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_install_configuration_makefile) : $(install_configuration_dependencies) build_library_links
	$(echo) "(constituents.make) Building install_configuration.make"; \
	  $(cmtexe) -f=$(bin)install_configuration.in -tag=$(tags) $(install_configuration_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_install_configuration_makefile) install_configuration
else
$(cmt_local_install_configuration_makefile) : $(install_configuration_dependencies) $(cmt_build_library_linksstamp) $(bin)install_configuration.in
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_install_configuration) ] || \
	  [ ! -f $(cmt_final_setup_install_configuration) ] || \
	  $(not_install_configuration_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building install_configuration.make"; \
	  $(cmtexe) -f=$(bin)install_configuration.in -tag=$(tags) $(install_configuration_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_install_configuration_makefile) install_configuration; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(install_configuration_extratags) build constituent_makefile -out=$(cmt_local_install_configuration_makefile) install_configuration

install_configuration :: $(install_configuration_dependencies) $(cmt_local_install_configuration_makefile) dirs install_configurationdirs
	$(echo) "(constituents.make) Starting install_configuration"
	@if test -f $(cmt_local_install_configuration_makefile); then \
	  $(MAKE) -f $(cmt_local_install_configuration_makefile) install_configuration; \
	  fi
#	@$(MAKE) -f $(cmt_local_install_configuration_makefile) install_configuration
	$(echo) "(constituents.make) install_configuration done"

clean :: install_configurationclean ;

install_configurationclean :: $(install_configurationclean_dependencies) ##$(cmt_local_install_configuration_makefile)
	$(echo) "(constituents.make) Starting install_configurationclean"
	@-if test -f $(cmt_local_install_configuration_makefile); then \
	  $(MAKE) -f $(cmt_local_install_configuration_makefile) install_configurationclean; \
	fi
	$(echo) "(constituents.make) install_configurationclean done"
#	@-$(MAKE) -f $(cmt_local_install_configuration_makefile) install_configurationclean

##	  /bin/rm -f $(cmt_local_install_configuration_makefile) $(bin)install_configuration_dependencies.make

install :: install_configurationinstall ;

install_configurationinstall :: $(install_configuration_dependencies) $(cmt_local_install_configuration_makefile)
	$(echo) "(constituents.make) Starting $@"
	@if test -f $(cmt_local_install_configuration_makefile); then \
	  $(MAKE) -f $(cmt_local_install_configuration_makefile) install; \
	  fi
#	@-$(MAKE) -f $(cmt_local_install_configuration_makefile) install
	$(echo) "(constituents.make) $@ done"

uninstall : install_configurationuninstall

$(foreach d,$(install_configuration_dependencies),$(eval $(d)uninstall_dependencies += install_configurationuninstall))

install_configurationuninstall : $(install_configurationuninstall_dependencies) ##$(cmt_local_install_configuration_makefile)
	$(echo) "(constituents.make) Starting $@"
	@-if test -f $(cmt_local_install_configuration_makefile); then \
	  $(MAKE) -f $(cmt_local_install_configuration_makefile) uninstall; \
	  fi
#	@$(MAKE) -f $(cmt_local_install_configuration_makefile) uninstall
	$(echo) "(constituents.make) $@ done"

remove_library_links :: install_configurationuninstall ;

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ install_configuration"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ install_configuration done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_install_events_has_no_target_tag = 1

#--------------------------------------

ifdef cmt_install_events_has_target_tag

cmt_local_tagfile_install_events = $(bin)$(AtlantisJava_tag)_install_events.make
cmt_final_setup_install_events = $(bin)setup_install_events.make
cmt_local_install_events_makefile = $(bin)install_events.make

install_events_extratags = -tag_add=target_install_events

else

cmt_local_tagfile_install_events = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_install_events = $(bin)setup.make
cmt_local_install_events_makefile = $(bin)install_events.make

endif

not_install_events_dependencies = { n=0; for p in $?; do m=0; for d in $(install_events_dependencies); do if [ $$p = $$d ]; then m=1; break; fi; done; if [ $$m -eq 0 ]; then n=1; break; fi; done; [ $$n -eq 1 ]; }

ifdef STRUCTURED_OUTPUT
install_eventsdirs :
	@if test ! -d $(bin)install_events; then $(mkdir) -p $(bin)install_events; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)install_events
else
install_eventsdirs : ;
endif

ifdef cmt_install_events_has_target_tag

ifndef QUICK
$(cmt_local_install_events_makefile) : $(install_events_dependencies) build_library_links
	$(echo) "(constituents.make) Building install_events.make"; \
	  $(cmtexe) -tag=$(tags) $(install_events_extratags) build constituent_config -out=$(cmt_local_install_events_makefile) install_events
else
$(cmt_local_install_events_makefile) : $(install_events_dependencies) $(cmt_build_library_linksstamp) $(use_requirements)
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_install_events) ] || \
	  [ ! -f $(cmt_final_setup_install_events) ] || \
	  $(not_install_events_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building install_events.make"; \
	  $(cmtexe) -tag=$(tags) $(install_events_extratags) build constituent_config -out=$(cmt_local_install_events_makefile) install_events; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_install_events_makefile) : $(install_events_dependencies) build_library_links
	$(echo) "(constituents.make) Building install_events.make"; \
	  $(cmtexe) -f=$(bin)install_events.in -tag=$(tags) $(install_events_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_install_events_makefile) install_events
else
$(cmt_local_install_events_makefile) : $(install_events_dependencies) $(cmt_build_library_linksstamp) $(bin)install_events.in
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_install_events) ] || \
	  [ ! -f $(cmt_final_setup_install_events) ] || \
	  $(not_install_events_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building install_events.make"; \
	  $(cmtexe) -f=$(bin)install_events.in -tag=$(tags) $(install_events_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_install_events_makefile) install_events; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(install_events_extratags) build constituent_makefile -out=$(cmt_local_install_events_makefile) install_events

install_events :: $(install_events_dependencies) $(cmt_local_install_events_makefile) dirs install_eventsdirs
	$(echo) "(constituents.make) Starting install_events"
	@if test -f $(cmt_local_install_events_makefile); then \
	  $(MAKE) -f $(cmt_local_install_events_makefile) install_events; \
	  fi
#	@$(MAKE) -f $(cmt_local_install_events_makefile) install_events
	$(echo) "(constituents.make) install_events done"

clean :: install_eventsclean ;

install_eventsclean :: $(install_eventsclean_dependencies) ##$(cmt_local_install_events_makefile)
	$(echo) "(constituents.make) Starting install_eventsclean"
	@-if test -f $(cmt_local_install_events_makefile); then \
	  $(MAKE) -f $(cmt_local_install_events_makefile) install_eventsclean; \
	fi
	$(echo) "(constituents.make) install_eventsclean done"
#	@-$(MAKE) -f $(cmt_local_install_events_makefile) install_eventsclean

##	  /bin/rm -f $(cmt_local_install_events_makefile) $(bin)install_events_dependencies.make

install :: install_eventsinstall ;

install_eventsinstall :: $(install_events_dependencies) $(cmt_local_install_events_makefile)
	$(echo) "(constituents.make) Starting $@"
	@if test -f $(cmt_local_install_events_makefile); then \
	  $(MAKE) -f $(cmt_local_install_events_makefile) install; \
	  fi
#	@-$(MAKE) -f $(cmt_local_install_events_makefile) install
	$(echo) "(constituents.make) $@ done"

uninstall : install_eventsuninstall

$(foreach d,$(install_events_dependencies),$(eval $(d)uninstall_dependencies += install_eventsuninstall))

install_eventsuninstall : $(install_eventsuninstall_dependencies) ##$(cmt_local_install_events_makefile)
	$(echo) "(constituents.make) Starting $@"
	@-if test -f $(cmt_local_install_events_makefile); then \
	  $(MAKE) -f $(cmt_local_install_events_makefile) uninstall; \
	  fi
#	@$(MAKE) -f $(cmt_local_install_events_makefile) uninstall
	$(echo) "(constituents.make) $@ done"

remove_library_links :: install_eventsuninstall ;

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ install_events"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ install_events done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_install_geometry_has_no_target_tag = 1

#--------------------------------------

ifdef cmt_install_geometry_has_target_tag

cmt_local_tagfile_install_geometry = $(bin)$(AtlantisJava_tag)_install_geometry.make
cmt_final_setup_install_geometry = $(bin)setup_install_geometry.make
cmt_local_install_geometry_makefile = $(bin)install_geometry.make

install_geometry_extratags = -tag_add=target_install_geometry

else

cmt_local_tagfile_install_geometry = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_install_geometry = $(bin)setup.make
cmt_local_install_geometry_makefile = $(bin)install_geometry.make

endif

not_install_geometry_dependencies = { n=0; for p in $?; do m=0; for d in $(install_geometry_dependencies); do if [ $$p = $$d ]; then m=1; break; fi; done; if [ $$m -eq 0 ]; then n=1; break; fi; done; [ $$n -eq 1 ]; }

ifdef STRUCTURED_OUTPUT
install_geometrydirs :
	@if test ! -d $(bin)install_geometry; then $(mkdir) -p $(bin)install_geometry; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)install_geometry
else
install_geometrydirs : ;
endif

ifdef cmt_install_geometry_has_target_tag

ifndef QUICK
$(cmt_local_install_geometry_makefile) : $(install_geometry_dependencies) build_library_links
	$(echo) "(constituents.make) Building install_geometry.make"; \
	  $(cmtexe) -tag=$(tags) $(install_geometry_extratags) build constituent_config -out=$(cmt_local_install_geometry_makefile) install_geometry
else
$(cmt_local_install_geometry_makefile) : $(install_geometry_dependencies) $(cmt_build_library_linksstamp) $(use_requirements)
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_install_geometry) ] || \
	  [ ! -f $(cmt_final_setup_install_geometry) ] || \
	  $(not_install_geometry_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building install_geometry.make"; \
	  $(cmtexe) -tag=$(tags) $(install_geometry_extratags) build constituent_config -out=$(cmt_local_install_geometry_makefile) install_geometry; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_install_geometry_makefile) : $(install_geometry_dependencies) build_library_links
	$(echo) "(constituents.make) Building install_geometry.make"; \
	  $(cmtexe) -f=$(bin)install_geometry.in -tag=$(tags) $(install_geometry_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_install_geometry_makefile) install_geometry
else
$(cmt_local_install_geometry_makefile) : $(install_geometry_dependencies) $(cmt_build_library_linksstamp) $(bin)install_geometry.in
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_install_geometry) ] || \
	  [ ! -f $(cmt_final_setup_install_geometry) ] || \
	  $(not_install_geometry_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building install_geometry.make"; \
	  $(cmtexe) -f=$(bin)install_geometry.in -tag=$(tags) $(install_geometry_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_install_geometry_makefile) install_geometry; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(install_geometry_extratags) build constituent_makefile -out=$(cmt_local_install_geometry_makefile) install_geometry

install_geometry :: $(install_geometry_dependencies) $(cmt_local_install_geometry_makefile) dirs install_geometrydirs
	$(echo) "(constituents.make) Starting install_geometry"
	@if test -f $(cmt_local_install_geometry_makefile); then \
	  $(MAKE) -f $(cmt_local_install_geometry_makefile) install_geometry; \
	  fi
#	@$(MAKE) -f $(cmt_local_install_geometry_makefile) install_geometry
	$(echo) "(constituents.make) install_geometry done"

clean :: install_geometryclean ;

install_geometryclean :: $(install_geometryclean_dependencies) ##$(cmt_local_install_geometry_makefile)
	$(echo) "(constituents.make) Starting install_geometryclean"
	@-if test -f $(cmt_local_install_geometry_makefile); then \
	  $(MAKE) -f $(cmt_local_install_geometry_makefile) install_geometryclean; \
	fi
	$(echo) "(constituents.make) install_geometryclean done"
#	@-$(MAKE) -f $(cmt_local_install_geometry_makefile) install_geometryclean

##	  /bin/rm -f $(cmt_local_install_geometry_makefile) $(bin)install_geometry_dependencies.make

install :: install_geometryinstall ;

install_geometryinstall :: $(install_geometry_dependencies) $(cmt_local_install_geometry_makefile)
	$(echo) "(constituents.make) Starting $@"
	@if test -f $(cmt_local_install_geometry_makefile); then \
	  $(MAKE) -f $(cmt_local_install_geometry_makefile) install; \
	  fi
#	@-$(MAKE) -f $(cmt_local_install_geometry_makefile) install
	$(echo) "(constituents.make) $@ done"

uninstall : install_geometryuninstall

$(foreach d,$(install_geometry_dependencies),$(eval $(d)uninstall_dependencies += install_geometryuninstall))

install_geometryuninstall : $(install_geometryuninstall_dependencies) ##$(cmt_local_install_geometry_makefile)
	$(echo) "(constituents.make) Starting $@"
	@-if test -f $(cmt_local_install_geometry_makefile); then \
	  $(MAKE) -f $(cmt_local_install_geometry_makefile) uninstall; \
	  fi
#	@$(MAKE) -f $(cmt_local_install_geometry_makefile) uninstall
	$(echo) "(constituents.make) $@ done"

remove_library_links :: install_geometryuninstall ;

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ install_geometry"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ install_geometry done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_install_help_has_no_target_tag = 1

#--------------------------------------

ifdef cmt_install_help_has_target_tag

cmt_local_tagfile_install_help = $(bin)$(AtlantisJava_tag)_install_help.make
cmt_final_setup_install_help = $(bin)setup_install_help.make
cmt_local_install_help_makefile = $(bin)install_help.make

install_help_extratags = -tag_add=target_install_help

else

cmt_local_tagfile_install_help = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_install_help = $(bin)setup.make
cmt_local_install_help_makefile = $(bin)install_help.make

endif

not_install_help_dependencies = { n=0; for p in $?; do m=0; for d in $(install_help_dependencies); do if [ $$p = $$d ]; then m=1; break; fi; done; if [ $$m -eq 0 ]; then n=1; break; fi; done; [ $$n -eq 1 ]; }

ifdef STRUCTURED_OUTPUT
install_helpdirs :
	@if test ! -d $(bin)install_help; then $(mkdir) -p $(bin)install_help; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)install_help
else
install_helpdirs : ;
endif

ifdef cmt_install_help_has_target_tag

ifndef QUICK
$(cmt_local_install_help_makefile) : $(install_help_dependencies) build_library_links
	$(echo) "(constituents.make) Building install_help.make"; \
	  $(cmtexe) -tag=$(tags) $(install_help_extratags) build constituent_config -out=$(cmt_local_install_help_makefile) install_help
else
$(cmt_local_install_help_makefile) : $(install_help_dependencies) $(cmt_build_library_linksstamp) $(use_requirements)
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_install_help) ] || \
	  [ ! -f $(cmt_final_setup_install_help) ] || \
	  $(not_install_help_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building install_help.make"; \
	  $(cmtexe) -tag=$(tags) $(install_help_extratags) build constituent_config -out=$(cmt_local_install_help_makefile) install_help; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_install_help_makefile) : $(install_help_dependencies) build_library_links
	$(echo) "(constituents.make) Building install_help.make"; \
	  $(cmtexe) -f=$(bin)install_help.in -tag=$(tags) $(install_help_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_install_help_makefile) install_help
else
$(cmt_local_install_help_makefile) : $(install_help_dependencies) $(cmt_build_library_linksstamp) $(bin)install_help.in
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_install_help) ] || \
	  [ ! -f $(cmt_final_setup_install_help) ] || \
	  $(not_install_help_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building install_help.make"; \
	  $(cmtexe) -f=$(bin)install_help.in -tag=$(tags) $(install_help_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_install_help_makefile) install_help; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(install_help_extratags) build constituent_makefile -out=$(cmt_local_install_help_makefile) install_help

install_help :: $(install_help_dependencies) $(cmt_local_install_help_makefile) dirs install_helpdirs
	$(echo) "(constituents.make) Starting install_help"
	@if test -f $(cmt_local_install_help_makefile); then \
	  $(MAKE) -f $(cmt_local_install_help_makefile) install_help; \
	  fi
#	@$(MAKE) -f $(cmt_local_install_help_makefile) install_help
	$(echo) "(constituents.make) install_help done"

clean :: install_helpclean ;

install_helpclean :: $(install_helpclean_dependencies) ##$(cmt_local_install_help_makefile)
	$(echo) "(constituents.make) Starting install_helpclean"
	@-if test -f $(cmt_local_install_help_makefile); then \
	  $(MAKE) -f $(cmt_local_install_help_makefile) install_helpclean; \
	fi
	$(echo) "(constituents.make) install_helpclean done"
#	@-$(MAKE) -f $(cmt_local_install_help_makefile) install_helpclean

##	  /bin/rm -f $(cmt_local_install_help_makefile) $(bin)install_help_dependencies.make

install :: install_helpinstall ;

install_helpinstall :: $(install_help_dependencies) $(cmt_local_install_help_makefile)
	$(echo) "(constituents.make) Starting $@"
	@if test -f $(cmt_local_install_help_makefile); then \
	  $(MAKE) -f $(cmt_local_install_help_makefile) install; \
	  fi
#	@-$(MAKE) -f $(cmt_local_install_help_makefile) install
	$(echo) "(constituents.make) $@ done"

uninstall : install_helpuninstall

$(foreach d,$(install_help_dependencies),$(eval $(d)uninstall_dependencies += install_helpuninstall))

install_helpuninstall : $(install_helpuninstall_dependencies) ##$(cmt_local_install_help_makefile)
	$(echo) "(constituents.make) Starting $@"
	@-if test -f $(cmt_local_install_help_makefile); then \
	  $(MAKE) -f $(cmt_local_install_help_makefile) uninstall; \
	  fi
#	@$(MAKE) -f $(cmt_local_install_help_makefile) uninstall
	$(echo) "(constituents.make) $@ done"

remove_library_links :: install_helpuninstall ;

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ install_help"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ install_help done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_AtlantisJavarchk_has_target_tag = 1

#--------------------------------------

ifdef cmt_AtlantisJavarchk_has_target_tag

cmt_local_tagfile_AtlantisJavarchk = $(bin)$(AtlantisJava_tag)_AtlantisJavarchk.make
cmt_final_setup_AtlantisJavarchk = $(bin)setup_AtlantisJavarchk.make
cmt_local_AtlantisJavarchk_makefile = $(bin)AtlantisJavarchk.make

AtlantisJavarchk_extratags = -tag_add=target_AtlantisJavarchk

else

cmt_local_tagfile_AtlantisJavarchk = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_AtlantisJavarchk = $(bin)setup.make
cmt_local_AtlantisJavarchk_makefile = $(bin)AtlantisJavarchk.make

endif

not_AtlantisJavarchk_dependencies = { n=0; for p in $?; do m=0; for d in $(AtlantisJavarchk_dependencies); do if [ $$p = $$d ]; then m=1; break; fi; done; if [ $$m -eq 0 ]; then n=1; break; fi; done; [ $$n -eq 1 ]; }

ifdef STRUCTURED_OUTPUT
AtlantisJavarchkdirs :
	@if test ! -d $(bin)AtlantisJavarchk; then $(mkdir) -p $(bin)AtlantisJavarchk; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)AtlantisJavarchk
else
AtlantisJavarchkdirs : ;
endif

ifdef cmt_AtlantisJavarchk_has_target_tag

ifndef QUICK
$(cmt_local_AtlantisJavarchk_makefile) : $(AtlantisJavarchk_dependencies) build_library_links
	$(echo) "(constituents.make) Building AtlantisJavarchk.make"; \
	  $(cmtexe) -tag=$(tags) $(AtlantisJavarchk_extratags) build constituent_config -out=$(cmt_local_AtlantisJavarchk_makefile) AtlantisJavarchk
else
$(cmt_local_AtlantisJavarchk_makefile) : $(AtlantisJavarchk_dependencies) $(cmt_build_library_linksstamp) $(use_requirements)
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_AtlantisJavarchk) ] || \
	  [ ! -f $(cmt_final_setup_AtlantisJavarchk) ] || \
	  $(not_AtlantisJavarchk_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building AtlantisJavarchk.make"; \
	  $(cmtexe) -tag=$(tags) $(AtlantisJavarchk_extratags) build constituent_config -out=$(cmt_local_AtlantisJavarchk_makefile) AtlantisJavarchk; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_AtlantisJavarchk_makefile) : $(AtlantisJavarchk_dependencies) build_library_links
	$(echo) "(constituents.make) Building AtlantisJavarchk.make"; \
	  $(cmtexe) -f=$(bin)AtlantisJavarchk.in -tag=$(tags) $(AtlantisJavarchk_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_AtlantisJavarchk_makefile) AtlantisJavarchk
else
$(cmt_local_AtlantisJavarchk_makefile) : $(AtlantisJavarchk_dependencies) $(cmt_build_library_linksstamp) $(bin)AtlantisJavarchk.in
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_AtlantisJavarchk) ] || \
	  [ ! -f $(cmt_final_setup_AtlantisJavarchk) ] || \
	  $(not_AtlantisJavarchk_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building AtlantisJavarchk.make"; \
	  $(cmtexe) -f=$(bin)AtlantisJavarchk.in -tag=$(tags) $(AtlantisJavarchk_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_AtlantisJavarchk_makefile) AtlantisJavarchk; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(AtlantisJavarchk_extratags) build constituent_makefile -out=$(cmt_local_AtlantisJavarchk_makefile) AtlantisJavarchk

AtlantisJavarchk :: $(AtlantisJavarchk_dependencies) $(cmt_local_AtlantisJavarchk_makefile) dirs AtlantisJavarchkdirs
	$(echo) "(constituents.make) Starting AtlantisJavarchk"
	@if test -f $(cmt_local_AtlantisJavarchk_makefile); then \
	  $(MAKE) -f $(cmt_local_AtlantisJavarchk_makefile) AtlantisJavarchk; \
	  fi
#	@$(MAKE) -f $(cmt_local_AtlantisJavarchk_makefile) AtlantisJavarchk
	$(echo) "(constituents.make) AtlantisJavarchk done"

clean :: AtlantisJavarchkclean ;

AtlantisJavarchkclean :: $(AtlantisJavarchkclean_dependencies) ##$(cmt_local_AtlantisJavarchk_makefile)
	$(echo) "(constituents.make) Starting AtlantisJavarchkclean"
	@-if test -f $(cmt_local_AtlantisJavarchk_makefile); then \
	  $(MAKE) -f $(cmt_local_AtlantisJavarchk_makefile) AtlantisJavarchkclean; \
	fi
	$(echo) "(constituents.make) AtlantisJavarchkclean done"
#	@-$(MAKE) -f $(cmt_local_AtlantisJavarchk_makefile) AtlantisJavarchkclean

##	  /bin/rm -f $(cmt_local_AtlantisJavarchk_makefile) $(bin)AtlantisJavarchk_dependencies.make

install :: AtlantisJavarchkinstall ;

AtlantisJavarchkinstall :: $(AtlantisJavarchk_dependencies) $(cmt_local_AtlantisJavarchk_makefile)
	$(echo) "(constituents.make) Starting $@"
	@if test -f $(cmt_local_AtlantisJavarchk_makefile); then \
	  $(MAKE) -f $(cmt_local_AtlantisJavarchk_makefile) install; \
	  fi
#	@-$(MAKE) -f $(cmt_local_AtlantisJavarchk_makefile) install
	$(echo) "(constituents.make) $@ done"

uninstall : AtlantisJavarchkuninstall

$(foreach d,$(AtlantisJavarchk_dependencies),$(eval $(d)uninstall_dependencies += AtlantisJavarchkuninstall))

AtlantisJavarchkuninstall : $(AtlantisJavarchkuninstall_dependencies) ##$(cmt_local_AtlantisJavarchk_makefile)
	$(echo) "(constituents.make) Starting $@"
	@-if test -f $(cmt_local_AtlantisJavarchk_makefile); then \
	  $(MAKE) -f $(cmt_local_AtlantisJavarchk_makefile) uninstall; \
	  fi
#	@$(MAKE) -f $(cmt_local_AtlantisJavarchk_makefile) uninstall
	$(echo) "(constituents.make) $@ done"

remove_library_links :: AtlantisJavarchkuninstall ;

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ AtlantisJavarchk"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ AtlantisJavarchk done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_install_includes_has_no_target_tag = 1

#--------------------------------------

ifdef cmt_install_includes_has_target_tag

cmt_local_tagfile_install_includes = $(bin)$(AtlantisJava_tag)_install_includes.make
cmt_final_setup_install_includes = $(bin)setup_install_includes.make
cmt_local_install_includes_makefile = $(bin)install_includes.make

install_includes_extratags = -tag_add=target_install_includes

else

cmt_local_tagfile_install_includes = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_install_includes = $(bin)setup.make
cmt_local_install_includes_makefile = $(bin)install_includes.make

endif

not_install_includes_dependencies = { n=0; for p in $?; do m=0; for d in $(install_includes_dependencies); do if [ $$p = $$d ]; then m=1; break; fi; done; if [ $$m -eq 0 ]; then n=1; break; fi; done; [ $$n -eq 1 ]; }

ifdef STRUCTURED_OUTPUT
install_includesdirs :
	@if test ! -d $(bin)install_includes; then $(mkdir) -p $(bin)install_includes; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)install_includes
else
install_includesdirs : ;
endif

ifdef cmt_install_includes_has_target_tag

ifndef QUICK
$(cmt_local_install_includes_makefile) : $(install_includes_dependencies) build_library_links
	$(echo) "(constituents.make) Building install_includes.make"; \
	  $(cmtexe) -tag=$(tags) $(install_includes_extratags) build constituent_config -out=$(cmt_local_install_includes_makefile) install_includes
else
$(cmt_local_install_includes_makefile) : $(install_includes_dependencies) $(cmt_build_library_linksstamp) $(use_requirements)
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_install_includes) ] || \
	  [ ! -f $(cmt_final_setup_install_includes) ] || \
	  $(not_install_includes_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building install_includes.make"; \
	  $(cmtexe) -tag=$(tags) $(install_includes_extratags) build constituent_config -out=$(cmt_local_install_includes_makefile) install_includes; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_install_includes_makefile) : $(install_includes_dependencies) build_library_links
	$(echo) "(constituents.make) Building install_includes.make"; \
	  $(cmtexe) -f=$(bin)install_includes.in -tag=$(tags) $(install_includes_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_install_includes_makefile) install_includes
else
$(cmt_local_install_includes_makefile) : $(install_includes_dependencies) $(cmt_build_library_linksstamp) $(bin)install_includes.in
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_install_includes) ] || \
	  [ ! -f $(cmt_final_setup_install_includes) ] || \
	  $(not_install_includes_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building install_includes.make"; \
	  $(cmtexe) -f=$(bin)install_includes.in -tag=$(tags) $(install_includes_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_install_includes_makefile) install_includes; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(install_includes_extratags) build constituent_makefile -out=$(cmt_local_install_includes_makefile) install_includes

install_includes :: $(install_includes_dependencies) $(cmt_local_install_includes_makefile) dirs install_includesdirs
	$(echo) "(constituents.make) Starting install_includes"
	@if test -f $(cmt_local_install_includes_makefile); then \
	  $(MAKE) -f $(cmt_local_install_includes_makefile) install_includes; \
	  fi
#	@$(MAKE) -f $(cmt_local_install_includes_makefile) install_includes
	$(echo) "(constituents.make) install_includes done"

clean :: install_includesclean ;

install_includesclean :: $(install_includesclean_dependencies) ##$(cmt_local_install_includes_makefile)
	$(echo) "(constituents.make) Starting install_includesclean"
	@-if test -f $(cmt_local_install_includes_makefile); then \
	  $(MAKE) -f $(cmt_local_install_includes_makefile) install_includesclean; \
	fi
	$(echo) "(constituents.make) install_includesclean done"
#	@-$(MAKE) -f $(cmt_local_install_includes_makefile) install_includesclean

##	  /bin/rm -f $(cmt_local_install_includes_makefile) $(bin)install_includes_dependencies.make

install :: install_includesinstall ;

install_includesinstall :: $(install_includes_dependencies) $(cmt_local_install_includes_makefile)
	$(echo) "(constituents.make) Starting $@"
	@if test -f $(cmt_local_install_includes_makefile); then \
	  $(MAKE) -f $(cmt_local_install_includes_makefile) install; \
	  fi
#	@-$(MAKE) -f $(cmt_local_install_includes_makefile) install
	$(echo) "(constituents.make) $@ done"

uninstall : install_includesuninstall

$(foreach d,$(install_includes_dependencies),$(eval $(d)uninstall_dependencies += install_includesuninstall))

install_includesuninstall : $(install_includesuninstall_dependencies) ##$(cmt_local_install_includes_makefile)
	$(echo) "(constituents.make) Starting $@"
	@-if test -f $(cmt_local_install_includes_makefile); then \
	  $(MAKE) -f $(cmt_local_install_includes_makefile) uninstall; \
	  fi
#	@$(MAKE) -f $(cmt_local_install_includes_makefile) uninstall
	$(echo) "(constituents.make) $@ done"

remove_library_links :: install_includesuninstall ;

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ install_includes"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ install_includes done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_make_has_no_target_tag = 1

#--------------------------------------

ifdef cmt_make_has_target_tag

cmt_local_tagfile_make = $(bin)$(AtlantisJava_tag)_make.make
cmt_final_setup_make = $(bin)setup_make.make
cmt_local_make_makefile = $(bin)make.make

make_extratags = -tag_add=target_make

else

cmt_local_tagfile_make = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_make = $(bin)setup.make
cmt_local_make_makefile = $(bin)make.make

endif

not_make_dependencies = { n=0; for p in $?; do m=0; for d in $(make_dependencies); do if [ $$p = $$d ]; then m=1; break; fi; done; if [ $$m -eq 0 ]; then n=1; break; fi; done; [ $$n -eq 1 ]; }

ifdef STRUCTURED_OUTPUT
makedirs :
	@if test ! -d $(bin)make; then $(mkdir) -p $(bin)make; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)make
else
makedirs : ;
endif

ifdef cmt_make_has_target_tag

ifndef QUICK
$(cmt_local_make_makefile) : $(make_dependencies) build_library_links
	$(echo) "(constituents.make) Building make.make"; \
	  $(cmtexe) -tag=$(tags) $(make_extratags) build constituent_config -out=$(cmt_local_make_makefile) make
else
$(cmt_local_make_makefile) : $(make_dependencies) $(cmt_build_library_linksstamp) $(use_requirements)
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_make) ] || \
	  [ ! -f $(cmt_final_setup_make) ] || \
	  $(not_make_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building make.make"; \
	  $(cmtexe) -tag=$(tags) $(make_extratags) build constituent_config -out=$(cmt_local_make_makefile) make; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_make_makefile) : $(make_dependencies) build_library_links
	$(echo) "(constituents.make) Building make.make"; \
	  $(cmtexe) -f=$(bin)make.in -tag=$(tags) $(make_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_make_makefile) make
else
$(cmt_local_make_makefile) : $(make_dependencies) $(cmt_build_library_linksstamp) $(bin)make.in
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_make) ] || \
	  [ ! -f $(cmt_final_setup_make) ] || \
	  $(not_make_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building make.make"; \
	  $(cmtexe) -f=$(bin)make.in -tag=$(tags) $(make_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_make_makefile) make; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(make_extratags) build constituent_makefile -out=$(cmt_local_make_makefile) make

make :: $(make_dependencies) $(cmt_local_make_makefile) dirs makedirs
	$(echo) "(constituents.make) Starting make"
	@if test -f $(cmt_local_make_makefile); then \
	  $(MAKE) -f $(cmt_local_make_makefile) make; \
	  fi
#	@$(MAKE) -f $(cmt_local_make_makefile) make
	$(echo) "(constituents.make) make done"

clean :: makeclean ;

makeclean :: $(makeclean_dependencies) ##$(cmt_local_make_makefile)
	$(echo) "(constituents.make) Starting makeclean"
	@-if test -f $(cmt_local_make_makefile); then \
	  $(MAKE) -f $(cmt_local_make_makefile) makeclean; \
	fi
	$(echo) "(constituents.make) makeclean done"
#	@-$(MAKE) -f $(cmt_local_make_makefile) makeclean

##	  /bin/rm -f $(cmt_local_make_makefile) $(bin)make_dependencies.make

install :: makeinstall ;

makeinstall :: $(make_dependencies) $(cmt_local_make_makefile)
	$(echo) "(constituents.make) Starting $@"
	@if test -f $(cmt_local_make_makefile); then \
	  $(MAKE) -f $(cmt_local_make_makefile) install; \
	  fi
#	@-$(MAKE) -f $(cmt_local_make_makefile) install
	$(echo) "(constituents.make) $@ done"

uninstall : makeuninstall

$(foreach d,$(make_dependencies),$(eval $(d)uninstall_dependencies += makeuninstall))

makeuninstall : $(makeuninstall_dependencies) ##$(cmt_local_make_makefile)
	$(echo) "(constituents.make) Starting $@"
	@-if test -f $(cmt_local_make_makefile); then \
	  $(MAKE) -f $(cmt_local_make_makefile) uninstall; \
	  fi
#	@$(MAKE) -f $(cmt_local_make_makefile) uninstall
	$(echo) "(constituents.make) $@ done"

remove_library_links :: makeuninstall ;

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ make"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ make done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_CompilePython_has_no_target_tag = 1

#--------------------------------------

ifdef cmt_CompilePython_has_target_tag

cmt_local_tagfile_CompilePython = $(bin)$(AtlantisJava_tag)_CompilePython.make
cmt_final_setup_CompilePython = $(bin)setup_CompilePython.make
cmt_local_CompilePython_makefile = $(bin)CompilePython.make

CompilePython_extratags = -tag_add=target_CompilePython

else

cmt_local_tagfile_CompilePython = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_CompilePython = $(bin)setup.make
cmt_local_CompilePython_makefile = $(bin)CompilePython.make

endif

not_CompilePython_dependencies = { n=0; for p in $?; do m=0; for d in $(CompilePython_dependencies); do if [ $$p = $$d ]; then m=1; break; fi; done; if [ $$m -eq 0 ]; then n=1; break; fi; done; [ $$n -eq 1 ]; }

ifdef STRUCTURED_OUTPUT
CompilePythondirs :
	@if test ! -d $(bin)CompilePython; then $(mkdir) -p $(bin)CompilePython; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)CompilePython
else
CompilePythondirs : ;
endif

ifdef cmt_CompilePython_has_target_tag

ifndef QUICK
$(cmt_local_CompilePython_makefile) : $(CompilePython_dependencies) build_library_links
	$(echo) "(constituents.make) Building CompilePython.make"; \
	  $(cmtexe) -tag=$(tags) $(CompilePython_extratags) build constituent_config -out=$(cmt_local_CompilePython_makefile) CompilePython
else
$(cmt_local_CompilePython_makefile) : $(CompilePython_dependencies) $(cmt_build_library_linksstamp) $(use_requirements)
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_CompilePython) ] || \
	  [ ! -f $(cmt_final_setup_CompilePython) ] || \
	  $(not_CompilePython_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building CompilePython.make"; \
	  $(cmtexe) -tag=$(tags) $(CompilePython_extratags) build constituent_config -out=$(cmt_local_CompilePython_makefile) CompilePython; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_CompilePython_makefile) : $(CompilePython_dependencies) build_library_links
	$(echo) "(constituents.make) Building CompilePython.make"; \
	  $(cmtexe) -f=$(bin)CompilePython.in -tag=$(tags) $(CompilePython_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_CompilePython_makefile) CompilePython
else
$(cmt_local_CompilePython_makefile) : $(CompilePython_dependencies) $(cmt_build_library_linksstamp) $(bin)CompilePython.in
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_CompilePython) ] || \
	  [ ! -f $(cmt_final_setup_CompilePython) ] || \
	  $(not_CompilePython_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building CompilePython.make"; \
	  $(cmtexe) -f=$(bin)CompilePython.in -tag=$(tags) $(CompilePython_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_CompilePython_makefile) CompilePython; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(CompilePython_extratags) build constituent_makefile -out=$(cmt_local_CompilePython_makefile) CompilePython

CompilePython :: $(CompilePython_dependencies) $(cmt_local_CompilePython_makefile) dirs CompilePythondirs
	$(echo) "(constituents.make) Starting CompilePython"
	@if test -f $(cmt_local_CompilePython_makefile); then \
	  $(MAKE) -f $(cmt_local_CompilePython_makefile) CompilePython; \
	  fi
#	@$(MAKE) -f $(cmt_local_CompilePython_makefile) CompilePython
	$(echo) "(constituents.make) CompilePython done"

clean :: CompilePythonclean ;

CompilePythonclean :: $(CompilePythonclean_dependencies) ##$(cmt_local_CompilePython_makefile)
	$(echo) "(constituents.make) Starting CompilePythonclean"
	@-if test -f $(cmt_local_CompilePython_makefile); then \
	  $(MAKE) -f $(cmt_local_CompilePython_makefile) CompilePythonclean; \
	fi
	$(echo) "(constituents.make) CompilePythonclean done"
#	@-$(MAKE) -f $(cmt_local_CompilePython_makefile) CompilePythonclean

##	  /bin/rm -f $(cmt_local_CompilePython_makefile) $(bin)CompilePython_dependencies.make

install :: CompilePythoninstall ;

CompilePythoninstall :: $(CompilePython_dependencies) $(cmt_local_CompilePython_makefile)
	$(echo) "(constituents.make) Starting $@"
	@if test -f $(cmt_local_CompilePython_makefile); then \
	  $(MAKE) -f $(cmt_local_CompilePython_makefile) install; \
	  fi
#	@-$(MAKE) -f $(cmt_local_CompilePython_makefile) install
	$(echo) "(constituents.make) $@ done"

uninstall : CompilePythonuninstall

$(foreach d,$(CompilePython_dependencies),$(eval $(d)uninstall_dependencies += CompilePythonuninstall))

CompilePythonuninstall : $(CompilePythonuninstall_dependencies) ##$(cmt_local_CompilePython_makefile)
	$(echo) "(constituents.make) Starting $@"
	@-if test -f $(cmt_local_CompilePython_makefile); then \
	  $(MAKE) -f $(cmt_local_CompilePython_makefile) uninstall; \
	  fi
#	@$(MAKE) -f $(cmt_local_CompilePython_makefile) uninstall
	$(echo) "(constituents.make) $@ done"

remove_library_links :: CompilePythonuninstall ;

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ CompilePython"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ CompilePython done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_qmtest_run_has_no_target_tag = 1

#--------------------------------------

ifdef cmt_qmtest_run_has_target_tag

cmt_local_tagfile_qmtest_run = $(bin)$(AtlantisJava_tag)_qmtest_run.make
cmt_final_setup_qmtest_run = $(bin)setup_qmtest_run.make
cmt_local_qmtest_run_makefile = $(bin)qmtest_run.make

qmtest_run_extratags = -tag_add=target_qmtest_run

else

cmt_local_tagfile_qmtest_run = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_qmtest_run = $(bin)setup.make
cmt_local_qmtest_run_makefile = $(bin)qmtest_run.make

endif

not_qmtest_run_dependencies = { n=0; for p in $?; do m=0; for d in $(qmtest_run_dependencies); do if [ $$p = $$d ]; then m=1; break; fi; done; if [ $$m -eq 0 ]; then n=1; break; fi; done; [ $$n -eq 1 ]; }

ifdef STRUCTURED_OUTPUT
qmtest_rundirs :
	@if test ! -d $(bin)qmtest_run; then $(mkdir) -p $(bin)qmtest_run; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)qmtest_run
else
qmtest_rundirs : ;
endif

ifdef cmt_qmtest_run_has_target_tag

ifndef QUICK
$(cmt_local_qmtest_run_makefile) : $(qmtest_run_dependencies) build_library_links
	$(echo) "(constituents.make) Building qmtest_run.make"; \
	  $(cmtexe) -tag=$(tags) $(qmtest_run_extratags) build constituent_config -out=$(cmt_local_qmtest_run_makefile) qmtest_run
else
$(cmt_local_qmtest_run_makefile) : $(qmtest_run_dependencies) $(cmt_build_library_linksstamp) $(use_requirements)
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_qmtest_run) ] || \
	  [ ! -f $(cmt_final_setup_qmtest_run) ] || \
	  $(not_qmtest_run_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building qmtest_run.make"; \
	  $(cmtexe) -tag=$(tags) $(qmtest_run_extratags) build constituent_config -out=$(cmt_local_qmtest_run_makefile) qmtest_run; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_qmtest_run_makefile) : $(qmtest_run_dependencies) build_library_links
	$(echo) "(constituents.make) Building qmtest_run.make"; \
	  $(cmtexe) -f=$(bin)qmtest_run.in -tag=$(tags) $(qmtest_run_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_qmtest_run_makefile) qmtest_run
else
$(cmt_local_qmtest_run_makefile) : $(qmtest_run_dependencies) $(cmt_build_library_linksstamp) $(bin)qmtest_run.in
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_qmtest_run) ] || \
	  [ ! -f $(cmt_final_setup_qmtest_run) ] || \
	  $(not_qmtest_run_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building qmtest_run.make"; \
	  $(cmtexe) -f=$(bin)qmtest_run.in -tag=$(tags) $(qmtest_run_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_qmtest_run_makefile) qmtest_run; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(qmtest_run_extratags) build constituent_makefile -out=$(cmt_local_qmtest_run_makefile) qmtest_run

qmtest_run :: $(qmtest_run_dependencies) $(cmt_local_qmtest_run_makefile) dirs qmtest_rundirs
	$(echo) "(constituents.make) Starting qmtest_run"
	@if test -f $(cmt_local_qmtest_run_makefile); then \
	  $(MAKE) -f $(cmt_local_qmtest_run_makefile) qmtest_run; \
	  fi
#	@$(MAKE) -f $(cmt_local_qmtest_run_makefile) qmtest_run
	$(echo) "(constituents.make) qmtest_run done"

clean :: qmtest_runclean ;

qmtest_runclean :: $(qmtest_runclean_dependencies) ##$(cmt_local_qmtest_run_makefile)
	$(echo) "(constituents.make) Starting qmtest_runclean"
	@-if test -f $(cmt_local_qmtest_run_makefile); then \
	  $(MAKE) -f $(cmt_local_qmtest_run_makefile) qmtest_runclean; \
	fi
	$(echo) "(constituents.make) qmtest_runclean done"
#	@-$(MAKE) -f $(cmt_local_qmtest_run_makefile) qmtest_runclean

##	  /bin/rm -f $(cmt_local_qmtest_run_makefile) $(bin)qmtest_run_dependencies.make

install :: qmtest_runinstall ;

qmtest_runinstall :: $(qmtest_run_dependencies) $(cmt_local_qmtest_run_makefile)
	$(echo) "(constituents.make) Starting $@"
	@if test -f $(cmt_local_qmtest_run_makefile); then \
	  $(MAKE) -f $(cmt_local_qmtest_run_makefile) install; \
	  fi
#	@-$(MAKE) -f $(cmt_local_qmtest_run_makefile) install
	$(echo) "(constituents.make) $@ done"

uninstall : qmtest_rununinstall

$(foreach d,$(qmtest_run_dependencies),$(eval $(d)uninstall_dependencies += qmtest_rununinstall))

qmtest_rununinstall : $(qmtest_rununinstall_dependencies) ##$(cmt_local_qmtest_run_makefile)
	$(echo) "(constituents.make) Starting $@"
	@-if test -f $(cmt_local_qmtest_run_makefile); then \
	  $(MAKE) -f $(cmt_local_qmtest_run_makefile) uninstall; \
	  fi
#	@$(MAKE) -f $(cmt_local_qmtest_run_makefile) uninstall
	$(echo) "(constituents.make) $@ done"

remove_library_links :: qmtest_rununinstall ;

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ qmtest_run"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ qmtest_run done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_qmtest_summarize_has_no_target_tag = 1

#--------------------------------------

ifdef cmt_qmtest_summarize_has_target_tag

cmt_local_tagfile_qmtest_summarize = $(bin)$(AtlantisJava_tag)_qmtest_summarize.make
cmt_final_setup_qmtest_summarize = $(bin)setup_qmtest_summarize.make
cmt_local_qmtest_summarize_makefile = $(bin)qmtest_summarize.make

qmtest_summarize_extratags = -tag_add=target_qmtest_summarize

else

cmt_local_tagfile_qmtest_summarize = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_qmtest_summarize = $(bin)setup.make
cmt_local_qmtest_summarize_makefile = $(bin)qmtest_summarize.make

endif

not_qmtest_summarize_dependencies = { n=0; for p in $?; do m=0; for d in $(qmtest_summarize_dependencies); do if [ $$p = $$d ]; then m=1; break; fi; done; if [ $$m -eq 0 ]; then n=1; break; fi; done; [ $$n -eq 1 ]; }

ifdef STRUCTURED_OUTPUT
qmtest_summarizedirs :
	@if test ! -d $(bin)qmtest_summarize; then $(mkdir) -p $(bin)qmtest_summarize; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)qmtest_summarize
else
qmtest_summarizedirs : ;
endif

ifdef cmt_qmtest_summarize_has_target_tag

ifndef QUICK
$(cmt_local_qmtest_summarize_makefile) : $(qmtest_summarize_dependencies) build_library_links
	$(echo) "(constituents.make) Building qmtest_summarize.make"; \
	  $(cmtexe) -tag=$(tags) $(qmtest_summarize_extratags) build constituent_config -out=$(cmt_local_qmtest_summarize_makefile) qmtest_summarize
else
$(cmt_local_qmtest_summarize_makefile) : $(qmtest_summarize_dependencies) $(cmt_build_library_linksstamp) $(use_requirements)
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_qmtest_summarize) ] || \
	  [ ! -f $(cmt_final_setup_qmtest_summarize) ] || \
	  $(not_qmtest_summarize_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building qmtest_summarize.make"; \
	  $(cmtexe) -tag=$(tags) $(qmtest_summarize_extratags) build constituent_config -out=$(cmt_local_qmtest_summarize_makefile) qmtest_summarize; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_qmtest_summarize_makefile) : $(qmtest_summarize_dependencies) build_library_links
	$(echo) "(constituents.make) Building qmtest_summarize.make"; \
	  $(cmtexe) -f=$(bin)qmtest_summarize.in -tag=$(tags) $(qmtest_summarize_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_qmtest_summarize_makefile) qmtest_summarize
else
$(cmt_local_qmtest_summarize_makefile) : $(qmtest_summarize_dependencies) $(cmt_build_library_linksstamp) $(bin)qmtest_summarize.in
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_qmtest_summarize) ] || \
	  [ ! -f $(cmt_final_setup_qmtest_summarize) ] || \
	  $(not_qmtest_summarize_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building qmtest_summarize.make"; \
	  $(cmtexe) -f=$(bin)qmtest_summarize.in -tag=$(tags) $(qmtest_summarize_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_qmtest_summarize_makefile) qmtest_summarize; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(qmtest_summarize_extratags) build constituent_makefile -out=$(cmt_local_qmtest_summarize_makefile) qmtest_summarize

qmtest_summarize :: $(qmtest_summarize_dependencies) $(cmt_local_qmtest_summarize_makefile) dirs qmtest_summarizedirs
	$(echo) "(constituents.make) Starting qmtest_summarize"
	@if test -f $(cmt_local_qmtest_summarize_makefile); then \
	  $(MAKE) -f $(cmt_local_qmtest_summarize_makefile) qmtest_summarize; \
	  fi
#	@$(MAKE) -f $(cmt_local_qmtest_summarize_makefile) qmtest_summarize
	$(echo) "(constituents.make) qmtest_summarize done"

clean :: qmtest_summarizeclean ;

qmtest_summarizeclean :: $(qmtest_summarizeclean_dependencies) ##$(cmt_local_qmtest_summarize_makefile)
	$(echo) "(constituents.make) Starting qmtest_summarizeclean"
	@-if test -f $(cmt_local_qmtest_summarize_makefile); then \
	  $(MAKE) -f $(cmt_local_qmtest_summarize_makefile) qmtest_summarizeclean; \
	fi
	$(echo) "(constituents.make) qmtest_summarizeclean done"
#	@-$(MAKE) -f $(cmt_local_qmtest_summarize_makefile) qmtest_summarizeclean

##	  /bin/rm -f $(cmt_local_qmtest_summarize_makefile) $(bin)qmtest_summarize_dependencies.make

install :: qmtest_summarizeinstall ;

qmtest_summarizeinstall :: $(qmtest_summarize_dependencies) $(cmt_local_qmtest_summarize_makefile)
	$(echo) "(constituents.make) Starting $@"
	@if test -f $(cmt_local_qmtest_summarize_makefile); then \
	  $(MAKE) -f $(cmt_local_qmtest_summarize_makefile) install; \
	  fi
#	@-$(MAKE) -f $(cmt_local_qmtest_summarize_makefile) install
	$(echo) "(constituents.make) $@ done"

uninstall : qmtest_summarizeuninstall

$(foreach d,$(qmtest_summarize_dependencies),$(eval $(d)uninstall_dependencies += qmtest_summarizeuninstall))

qmtest_summarizeuninstall : $(qmtest_summarizeuninstall_dependencies) ##$(cmt_local_qmtest_summarize_makefile)
	$(echo) "(constituents.make) Starting $@"
	@-if test -f $(cmt_local_qmtest_summarize_makefile); then \
	  $(MAKE) -f $(cmt_local_qmtest_summarize_makefile) uninstall; \
	  fi
#	@$(MAKE) -f $(cmt_local_qmtest_summarize_makefile) uninstall
	$(echo) "(constituents.make) $@ done"

remove_library_links :: qmtest_summarizeuninstall ;

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ qmtest_summarize"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ qmtest_summarize done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_TestPackage_has_no_target_tag = 1

#--------------------------------------

ifdef cmt_TestPackage_has_target_tag

cmt_local_tagfile_TestPackage = $(bin)$(AtlantisJava_tag)_TestPackage.make
cmt_final_setup_TestPackage = $(bin)setup_TestPackage.make
cmt_local_TestPackage_makefile = $(bin)TestPackage.make

TestPackage_extratags = -tag_add=target_TestPackage

else

cmt_local_tagfile_TestPackage = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_TestPackage = $(bin)setup.make
cmt_local_TestPackage_makefile = $(bin)TestPackage.make

endif

not_TestPackage_dependencies = { n=0; for p in $?; do m=0; for d in $(TestPackage_dependencies); do if [ $$p = $$d ]; then m=1; break; fi; done; if [ $$m -eq 0 ]; then n=1; break; fi; done; [ $$n -eq 1 ]; }

ifdef STRUCTURED_OUTPUT
TestPackagedirs :
	@if test ! -d $(bin)TestPackage; then $(mkdir) -p $(bin)TestPackage; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)TestPackage
else
TestPackagedirs : ;
endif

ifdef cmt_TestPackage_has_target_tag

ifndef QUICK
$(cmt_local_TestPackage_makefile) : $(TestPackage_dependencies) build_library_links
	$(echo) "(constituents.make) Building TestPackage.make"; \
	  $(cmtexe) -tag=$(tags) $(TestPackage_extratags) build constituent_config -out=$(cmt_local_TestPackage_makefile) TestPackage
else
$(cmt_local_TestPackage_makefile) : $(TestPackage_dependencies) $(cmt_build_library_linksstamp) $(use_requirements)
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_TestPackage) ] || \
	  [ ! -f $(cmt_final_setup_TestPackage) ] || \
	  $(not_TestPackage_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building TestPackage.make"; \
	  $(cmtexe) -tag=$(tags) $(TestPackage_extratags) build constituent_config -out=$(cmt_local_TestPackage_makefile) TestPackage; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_TestPackage_makefile) : $(TestPackage_dependencies) build_library_links
	$(echo) "(constituents.make) Building TestPackage.make"; \
	  $(cmtexe) -f=$(bin)TestPackage.in -tag=$(tags) $(TestPackage_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_TestPackage_makefile) TestPackage
else
$(cmt_local_TestPackage_makefile) : $(TestPackage_dependencies) $(cmt_build_library_linksstamp) $(bin)TestPackage.in
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_TestPackage) ] || \
	  [ ! -f $(cmt_final_setup_TestPackage) ] || \
	  $(not_TestPackage_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building TestPackage.make"; \
	  $(cmtexe) -f=$(bin)TestPackage.in -tag=$(tags) $(TestPackage_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_TestPackage_makefile) TestPackage; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(TestPackage_extratags) build constituent_makefile -out=$(cmt_local_TestPackage_makefile) TestPackage

TestPackage :: $(TestPackage_dependencies) $(cmt_local_TestPackage_makefile) dirs TestPackagedirs
	$(echo) "(constituents.make) Starting TestPackage"
	@if test -f $(cmt_local_TestPackage_makefile); then \
	  $(MAKE) -f $(cmt_local_TestPackage_makefile) TestPackage; \
	  fi
#	@$(MAKE) -f $(cmt_local_TestPackage_makefile) TestPackage
	$(echo) "(constituents.make) TestPackage done"

clean :: TestPackageclean ;

TestPackageclean :: $(TestPackageclean_dependencies) ##$(cmt_local_TestPackage_makefile)
	$(echo) "(constituents.make) Starting TestPackageclean"
	@-if test -f $(cmt_local_TestPackage_makefile); then \
	  $(MAKE) -f $(cmt_local_TestPackage_makefile) TestPackageclean; \
	fi
	$(echo) "(constituents.make) TestPackageclean done"
#	@-$(MAKE) -f $(cmt_local_TestPackage_makefile) TestPackageclean

##	  /bin/rm -f $(cmt_local_TestPackage_makefile) $(bin)TestPackage_dependencies.make

install :: TestPackageinstall ;

TestPackageinstall :: $(TestPackage_dependencies) $(cmt_local_TestPackage_makefile)
	$(echo) "(constituents.make) Starting $@"
	@if test -f $(cmt_local_TestPackage_makefile); then \
	  $(MAKE) -f $(cmt_local_TestPackage_makefile) install; \
	  fi
#	@-$(MAKE) -f $(cmt_local_TestPackage_makefile) install
	$(echo) "(constituents.make) $@ done"

uninstall : TestPackageuninstall

$(foreach d,$(TestPackage_dependencies),$(eval $(d)uninstall_dependencies += TestPackageuninstall))

TestPackageuninstall : $(TestPackageuninstall_dependencies) ##$(cmt_local_TestPackage_makefile)
	$(echo) "(constituents.make) Starting $@"
	@-if test -f $(cmt_local_TestPackage_makefile); then \
	  $(MAKE) -f $(cmt_local_TestPackage_makefile) uninstall; \
	  fi
#	@$(MAKE) -f $(cmt_local_TestPackage_makefile) uninstall
	$(echo) "(constituents.make) $@ done"

remove_library_links :: TestPackageuninstall ;

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ TestPackage"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ TestPackage done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_TestProject_has_no_target_tag = 1

#--------------------------------------

ifdef cmt_TestProject_has_target_tag

cmt_local_tagfile_TestProject = $(bin)$(AtlantisJava_tag)_TestProject.make
cmt_final_setup_TestProject = $(bin)setup_TestProject.make
cmt_local_TestProject_makefile = $(bin)TestProject.make

TestProject_extratags = -tag_add=target_TestProject

else

cmt_local_tagfile_TestProject = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_TestProject = $(bin)setup.make
cmt_local_TestProject_makefile = $(bin)TestProject.make

endif

not_TestProject_dependencies = { n=0; for p in $?; do m=0; for d in $(TestProject_dependencies); do if [ $$p = $$d ]; then m=1; break; fi; done; if [ $$m -eq 0 ]; then n=1; break; fi; done; [ $$n -eq 1 ]; }

ifdef STRUCTURED_OUTPUT
TestProjectdirs :
	@if test ! -d $(bin)TestProject; then $(mkdir) -p $(bin)TestProject; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)TestProject
else
TestProjectdirs : ;
endif

ifdef cmt_TestProject_has_target_tag

ifndef QUICK
$(cmt_local_TestProject_makefile) : $(TestProject_dependencies) build_library_links
	$(echo) "(constituents.make) Building TestProject.make"; \
	  $(cmtexe) -tag=$(tags) $(TestProject_extratags) build constituent_config -out=$(cmt_local_TestProject_makefile) TestProject
else
$(cmt_local_TestProject_makefile) : $(TestProject_dependencies) $(cmt_build_library_linksstamp) $(use_requirements)
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_TestProject) ] || \
	  [ ! -f $(cmt_final_setup_TestProject) ] || \
	  $(not_TestProject_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building TestProject.make"; \
	  $(cmtexe) -tag=$(tags) $(TestProject_extratags) build constituent_config -out=$(cmt_local_TestProject_makefile) TestProject; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_TestProject_makefile) : $(TestProject_dependencies) build_library_links
	$(echo) "(constituents.make) Building TestProject.make"; \
	  $(cmtexe) -f=$(bin)TestProject.in -tag=$(tags) $(TestProject_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_TestProject_makefile) TestProject
else
$(cmt_local_TestProject_makefile) : $(TestProject_dependencies) $(cmt_build_library_linksstamp) $(bin)TestProject.in
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_TestProject) ] || \
	  [ ! -f $(cmt_final_setup_TestProject) ] || \
	  $(not_TestProject_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building TestProject.make"; \
	  $(cmtexe) -f=$(bin)TestProject.in -tag=$(tags) $(TestProject_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_TestProject_makefile) TestProject; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(TestProject_extratags) build constituent_makefile -out=$(cmt_local_TestProject_makefile) TestProject

TestProject :: $(TestProject_dependencies) $(cmt_local_TestProject_makefile) dirs TestProjectdirs
	$(echo) "(constituents.make) Starting TestProject"
	@if test -f $(cmt_local_TestProject_makefile); then \
	  $(MAKE) -f $(cmt_local_TestProject_makefile) TestProject; \
	  fi
#	@$(MAKE) -f $(cmt_local_TestProject_makefile) TestProject
	$(echo) "(constituents.make) TestProject done"

clean :: TestProjectclean ;

TestProjectclean :: $(TestProjectclean_dependencies) ##$(cmt_local_TestProject_makefile)
	$(echo) "(constituents.make) Starting TestProjectclean"
	@-if test -f $(cmt_local_TestProject_makefile); then \
	  $(MAKE) -f $(cmt_local_TestProject_makefile) TestProjectclean; \
	fi
	$(echo) "(constituents.make) TestProjectclean done"
#	@-$(MAKE) -f $(cmt_local_TestProject_makefile) TestProjectclean

##	  /bin/rm -f $(cmt_local_TestProject_makefile) $(bin)TestProject_dependencies.make

install :: TestProjectinstall ;

TestProjectinstall :: $(TestProject_dependencies) $(cmt_local_TestProject_makefile)
	$(echo) "(constituents.make) Starting $@"
	@if test -f $(cmt_local_TestProject_makefile); then \
	  $(MAKE) -f $(cmt_local_TestProject_makefile) install; \
	  fi
#	@-$(MAKE) -f $(cmt_local_TestProject_makefile) install
	$(echo) "(constituents.make) $@ done"

uninstall : TestProjectuninstall

$(foreach d,$(TestProject_dependencies),$(eval $(d)uninstall_dependencies += TestProjectuninstall))

TestProjectuninstall : $(TestProjectuninstall_dependencies) ##$(cmt_local_TestProject_makefile)
	$(echo) "(constituents.make) Starting $@"
	@-if test -f $(cmt_local_TestProject_makefile); then \
	  $(MAKE) -f $(cmt_local_TestProject_makefile) uninstall; \
	  fi
#	@$(MAKE) -f $(cmt_local_TestProject_makefile) uninstall
	$(echo) "(constituents.make) $@ done"

remove_library_links :: TestProjectuninstall ;

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ TestProject"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ TestProject done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_doxygen_has_no_target_tag = 1

#--------------------------------------

ifdef cmt_doxygen_has_target_tag

cmt_local_tagfile_doxygen = $(bin)$(AtlantisJava_tag)_doxygen.make
cmt_final_setup_doxygen = $(bin)setup_doxygen.make
cmt_local_doxygen_makefile = $(bin)doxygen.make

doxygen_extratags = -tag_add=target_doxygen

else

cmt_local_tagfile_doxygen = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_doxygen = $(bin)setup.make
cmt_local_doxygen_makefile = $(bin)doxygen.make

endif

not_doxygen_dependencies = { n=0; for p in $?; do m=0; for d in $(doxygen_dependencies); do if [ $$p = $$d ]; then m=1; break; fi; done; if [ $$m -eq 0 ]; then n=1; break; fi; done; [ $$n -eq 1 ]; }

ifdef STRUCTURED_OUTPUT
doxygendirs :
	@if test ! -d $(bin)doxygen; then $(mkdir) -p $(bin)doxygen; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)doxygen
else
doxygendirs : ;
endif

ifdef cmt_doxygen_has_target_tag

ifndef QUICK
$(cmt_local_doxygen_makefile) : $(doxygen_dependencies) build_library_links
	$(echo) "(constituents.make) Building doxygen.make"; \
	  $(cmtexe) -tag=$(tags) $(doxygen_extratags) build constituent_config -out=$(cmt_local_doxygen_makefile) doxygen
else
$(cmt_local_doxygen_makefile) : $(doxygen_dependencies) $(cmt_build_library_linksstamp) $(use_requirements)
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_doxygen) ] || \
	  [ ! -f $(cmt_final_setup_doxygen) ] || \
	  $(not_doxygen_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building doxygen.make"; \
	  $(cmtexe) -tag=$(tags) $(doxygen_extratags) build constituent_config -out=$(cmt_local_doxygen_makefile) doxygen; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_doxygen_makefile) : $(doxygen_dependencies) build_library_links
	$(echo) "(constituents.make) Building doxygen.make"; \
	  $(cmtexe) -f=$(bin)doxygen.in -tag=$(tags) $(doxygen_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_doxygen_makefile) doxygen
else
$(cmt_local_doxygen_makefile) : $(doxygen_dependencies) $(cmt_build_library_linksstamp) $(bin)doxygen.in
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_doxygen) ] || \
	  [ ! -f $(cmt_final_setup_doxygen) ] || \
	  $(not_doxygen_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building doxygen.make"; \
	  $(cmtexe) -f=$(bin)doxygen.in -tag=$(tags) $(doxygen_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_doxygen_makefile) doxygen; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(doxygen_extratags) build constituent_makefile -out=$(cmt_local_doxygen_makefile) doxygen

doxygen :: $(doxygen_dependencies) $(cmt_local_doxygen_makefile) dirs doxygendirs
	$(echo) "(constituents.make) Starting doxygen"
	@if test -f $(cmt_local_doxygen_makefile); then \
	  $(MAKE) -f $(cmt_local_doxygen_makefile) doxygen; \
	  fi
#	@$(MAKE) -f $(cmt_local_doxygen_makefile) doxygen
	$(echo) "(constituents.make) doxygen done"

clean :: doxygenclean ;

doxygenclean :: $(doxygenclean_dependencies) ##$(cmt_local_doxygen_makefile)
	$(echo) "(constituents.make) Starting doxygenclean"
	@-if test -f $(cmt_local_doxygen_makefile); then \
	  $(MAKE) -f $(cmt_local_doxygen_makefile) doxygenclean; \
	fi
	$(echo) "(constituents.make) doxygenclean done"
#	@-$(MAKE) -f $(cmt_local_doxygen_makefile) doxygenclean

##	  /bin/rm -f $(cmt_local_doxygen_makefile) $(bin)doxygen_dependencies.make

install :: doxygeninstall ;

doxygeninstall :: $(doxygen_dependencies) $(cmt_local_doxygen_makefile)
	$(echo) "(constituents.make) Starting $@"
	@if test -f $(cmt_local_doxygen_makefile); then \
	  $(MAKE) -f $(cmt_local_doxygen_makefile) install; \
	  fi
#	@-$(MAKE) -f $(cmt_local_doxygen_makefile) install
	$(echo) "(constituents.make) $@ done"

uninstall : doxygenuninstall

$(foreach d,$(doxygen_dependencies),$(eval $(d)uninstall_dependencies += doxygenuninstall))

doxygenuninstall : $(doxygenuninstall_dependencies) ##$(cmt_local_doxygen_makefile)
	$(echo) "(constituents.make) Starting $@"
	@-if test -f $(cmt_local_doxygen_makefile); then \
	  $(MAKE) -f $(cmt_local_doxygen_makefile) uninstall; \
	  fi
#	@$(MAKE) -f $(cmt_local_doxygen_makefile) uninstall
	$(echo) "(constituents.make) $@ done"

remove_library_links :: doxygenuninstall ;

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ doxygen"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ doxygen done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_post_install_has_no_target_tag = 1

#--------------------------------------

ifdef cmt_post_install_has_target_tag

cmt_local_tagfile_post_install = $(bin)$(AtlantisJava_tag)_post_install.make
cmt_final_setup_post_install = $(bin)setup_post_install.make
cmt_local_post_install_makefile = $(bin)post_install.make

post_install_extratags = -tag_add=target_post_install

else

cmt_local_tagfile_post_install = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_post_install = $(bin)setup.make
cmt_local_post_install_makefile = $(bin)post_install.make

endif

not_post_install_dependencies = { n=0; for p in $?; do m=0; for d in $(post_install_dependencies); do if [ $$p = $$d ]; then m=1; break; fi; done; if [ $$m -eq 0 ]; then n=1; break; fi; done; [ $$n -eq 1 ]; }

ifdef STRUCTURED_OUTPUT
post_installdirs :
	@if test ! -d $(bin)post_install; then $(mkdir) -p $(bin)post_install; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)post_install
else
post_installdirs : ;
endif

ifdef cmt_post_install_has_target_tag

ifndef QUICK
$(cmt_local_post_install_makefile) : $(post_install_dependencies) build_library_links
	$(echo) "(constituents.make) Building post_install.make"; \
	  $(cmtexe) -tag=$(tags) $(post_install_extratags) build constituent_config -out=$(cmt_local_post_install_makefile) post_install
else
$(cmt_local_post_install_makefile) : $(post_install_dependencies) $(cmt_build_library_linksstamp) $(use_requirements)
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_post_install) ] || \
	  [ ! -f $(cmt_final_setup_post_install) ] || \
	  $(not_post_install_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building post_install.make"; \
	  $(cmtexe) -tag=$(tags) $(post_install_extratags) build constituent_config -out=$(cmt_local_post_install_makefile) post_install; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_post_install_makefile) : $(post_install_dependencies) build_library_links
	$(echo) "(constituents.make) Building post_install.make"; \
	  $(cmtexe) -f=$(bin)post_install.in -tag=$(tags) $(post_install_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_post_install_makefile) post_install
else
$(cmt_local_post_install_makefile) : $(post_install_dependencies) $(cmt_build_library_linksstamp) $(bin)post_install.in
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_post_install) ] || \
	  [ ! -f $(cmt_final_setup_post_install) ] || \
	  $(not_post_install_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building post_install.make"; \
	  $(cmtexe) -f=$(bin)post_install.in -tag=$(tags) $(post_install_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_post_install_makefile) post_install; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(post_install_extratags) build constituent_makefile -out=$(cmt_local_post_install_makefile) post_install

post_install :: $(post_install_dependencies) $(cmt_local_post_install_makefile) dirs post_installdirs
	$(echo) "(constituents.make) Starting post_install"
	@if test -f $(cmt_local_post_install_makefile); then \
	  $(MAKE) -f $(cmt_local_post_install_makefile) post_install; \
	  fi
#	@$(MAKE) -f $(cmt_local_post_install_makefile) post_install
	$(echo) "(constituents.make) post_install done"

clean :: post_installclean ;

post_installclean :: $(post_installclean_dependencies) ##$(cmt_local_post_install_makefile)
	$(echo) "(constituents.make) Starting post_installclean"
	@-if test -f $(cmt_local_post_install_makefile); then \
	  $(MAKE) -f $(cmt_local_post_install_makefile) post_installclean; \
	fi
	$(echo) "(constituents.make) post_installclean done"
#	@-$(MAKE) -f $(cmt_local_post_install_makefile) post_installclean

##	  /bin/rm -f $(cmt_local_post_install_makefile) $(bin)post_install_dependencies.make

install :: post_installinstall ;

post_installinstall :: $(post_install_dependencies) $(cmt_local_post_install_makefile)
	$(echo) "(constituents.make) Starting $@"
	@if test -f $(cmt_local_post_install_makefile); then \
	  $(MAKE) -f $(cmt_local_post_install_makefile) install; \
	  fi
#	@-$(MAKE) -f $(cmt_local_post_install_makefile) install
	$(echo) "(constituents.make) $@ done"

uninstall : post_installuninstall

$(foreach d,$(post_install_dependencies),$(eval $(d)uninstall_dependencies += post_installuninstall))

post_installuninstall : $(post_installuninstall_dependencies) ##$(cmt_local_post_install_makefile)
	$(echo) "(constituents.make) Starting $@"
	@-if test -f $(cmt_local_post_install_makefile); then \
	  $(MAKE) -f $(cmt_local_post_install_makefile) uninstall; \
	  fi
#	@$(MAKE) -f $(cmt_local_post_install_makefile) uninstall
	$(echo) "(constituents.make) $@ done"

remove_library_links :: post_installuninstall ;

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ post_install"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ post_install done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_post_merge_rootmap_has_no_target_tag = 1

#--------------------------------------

ifdef cmt_post_merge_rootmap_has_target_tag

cmt_local_tagfile_post_merge_rootmap = $(bin)$(AtlantisJava_tag)_post_merge_rootmap.make
cmt_final_setup_post_merge_rootmap = $(bin)setup_post_merge_rootmap.make
cmt_local_post_merge_rootmap_makefile = $(bin)post_merge_rootmap.make

post_merge_rootmap_extratags = -tag_add=target_post_merge_rootmap

else

cmt_local_tagfile_post_merge_rootmap = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_post_merge_rootmap = $(bin)setup.make
cmt_local_post_merge_rootmap_makefile = $(bin)post_merge_rootmap.make

endif

not_post_merge_rootmap_dependencies = { n=0; for p in $?; do m=0; for d in $(post_merge_rootmap_dependencies); do if [ $$p = $$d ]; then m=1; break; fi; done; if [ $$m -eq 0 ]; then n=1; break; fi; done; [ $$n -eq 1 ]; }

ifdef STRUCTURED_OUTPUT
post_merge_rootmapdirs :
	@if test ! -d $(bin)post_merge_rootmap; then $(mkdir) -p $(bin)post_merge_rootmap; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)post_merge_rootmap
else
post_merge_rootmapdirs : ;
endif

ifdef cmt_post_merge_rootmap_has_target_tag

ifndef QUICK
$(cmt_local_post_merge_rootmap_makefile) : $(post_merge_rootmap_dependencies) build_library_links
	$(echo) "(constituents.make) Building post_merge_rootmap.make"; \
	  $(cmtexe) -tag=$(tags) $(post_merge_rootmap_extratags) build constituent_config -out=$(cmt_local_post_merge_rootmap_makefile) post_merge_rootmap
else
$(cmt_local_post_merge_rootmap_makefile) : $(post_merge_rootmap_dependencies) $(cmt_build_library_linksstamp) $(use_requirements)
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_post_merge_rootmap) ] || \
	  [ ! -f $(cmt_final_setup_post_merge_rootmap) ] || \
	  $(not_post_merge_rootmap_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building post_merge_rootmap.make"; \
	  $(cmtexe) -tag=$(tags) $(post_merge_rootmap_extratags) build constituent_config -out=$(cmt_local_post_merge_rootmap_makefile) post_merge_rootmap; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_post_merge_rootmap_makefile) : $(post_merge_rootmap_dependencies) build_library_links
	$(echo) "(constituents.make) Building post_merge_rootmap.make"; \
	  $(cmtexe) -f=$(bin)post_merge_rootmap.in -tag=$(tags) $(post_merge_rootmap_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_post_merge_rootmap_makefile) post_merge_rootmap
else
$(cmt_local_post_merge_rootmap_makefile) : $(post_merge_rootmap_dependencies) $(cmt_build_library_linksstamp) $(bin)post_merge_rootmap.in
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_post_merge_rootmap) ] || \
	  [ ! -f $(cmt_final_setup_post_merge_rootmap) ] || \
	  $(not_post_merge_rootmap_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building post_merge_rootmap.make"; \
	  $(cmtexe) -f=$(bin)post_merge_rootmap.in -tag=$(tags) $(post_merge_rootmap_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_post_merge_rootmap_makefile) post_merge_rootmap; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(post_merge_rootmap_extratags) build constituent_makefile -out=$(cmt_local_post_merge_rootmap_makefile) post_merge_rootmap

post_merge_rootmap :: $(post_merge_rootmap_dependencies) $(cmt_local_post_merge_rootmap_makefile) dirs post_merge_rootmapdirs
	$(echo) "(constituents.make) Starting post_merge_rootmap"
	@if test -f $(cmt_local_post_merge_rootmap_makefile); then \
	  $(MAKE) -f $(cmt_local_post_merge_rootmap_makefile) post_merge_rootmap; \
	  fi
#	@$(MAKE) -f $(cmt_local_post_merge_rootmap_makefile) post_merge_rootmap
	$(echo) "(constituents.make) post_merge_rootmap done"

clean :: post_merge_rootmapclean ;

post_merge_rootmapclean :: $(post_merge_rootmapclean_dependencies) ##$(cmt_local_post_merge_rootmap_makefile)
	$(echo) "(constituents.make) Starting post_merge_rootmapclean"
	@-if test -f $(cmt_local_post_merge_rootmap_makefile); then \
	  $(MAKE) -f $(cmt_local_post_merge_rootmap_makefile) post_merge_rootmapclean; \
	fi
	$(echo) "(constituents.make) post_merge_rootmapclean done"
#	@-$(MAKE) -f $(cmt_local_post_merge_rootmap_makefile) post_merge_rootmapclean

##	  /bin/rm -f $(cmt_local_post_merge_rootmap_makefile) $(bin)post_merge_rootmap_dependencies.make

install :: post_merge_rootmapinstall ;

post_merge_rootmapinstall :: $(post_merge_rootmap_dependencies) $(cmt_local_post_merge_rootmap_makefile)
	$(echo) "(constituents.make) Starting $@"
	@if test -f $(cmt_local_post_merge_rootmap_makefile); then \
	  $(MAKE) -f $(cmt_local_post_merge_rootmap_makefile) install; \
	  fi
#	@-$(MAKE) -f $(cmt_local_post_merge_rootmap_makefile) install
	$(echo) "(constituents.make) $@ done"

uninstall : post_merge_rootmapuninstall

$(foreach d,$(post_merge_rootmap_dependencies),$(eval $(d)uninstall_dependencies += post_merge_rootmapuninstall))

post_merge_rootmapuninstall : $(post_merge_rootmapuninstall_dependencies) ##$(cmt_local_post_merge_rootmap_makefile)
	$(echo) "(constituents.make) Starting $@"
	@-if test -f $(cmt_local_post_merge_rootmap_makefile); then \
	  $(MAKE) -f $(cmt_local_post_merge_rootmap_makefile) uninstall; \
	  fi
#	@$(MAKE) -f $(cmt_local_post_merge_rootmap_makefile) uninstall
	$(echo) "(constituents.make) $@ done"

remove_library_links :: post_merge_rootmapuninstall ;

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ post_merge_rootmap"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ post_merge_rootmap done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_post_merge_genconfdb_has_no_target_tag = 1

#--------------------------------------

ifdef cmt_post_merge_genconfdb_has_target_tag

cmt_local_tagfile_post_merge_genconfdb = $(bin)$(AtlantisJava_tag)_post_merge_genconfdb.make
cmt_final_setup_post_merge_genconfdb = $(bin)setup_post_merge_genconfdb.make
cmt_local_post_merge_genconfdb_makefile = $(bin)post_merge_genconfdb.make

post_merge_genconfdb_extratags = -tag_add=target_post_merge_genconfdb

else

cmt_local_tagfile_post_merge_genconfdb = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_post_merge_genconfdb = $(bin)setup.make
cmt_local_post_merge_genconfdb_makefile = $(bin)post_merge_genconfdb.make

endif

not_post_merge_genconfdb_dependencies = { n=0; for p in $?; do m=0; for d in $(post_merge_genconfdb_dependencies); do if [ $$p = $$d ]; then m=1; break; fi; done; if [ $$m -eq 0 ]; then n=1; break; fi; done; [ $$n -eq 1 ]; }

ifdef STRUCTURED_OUTPUT
post_merge_genconfdbdirs :
	@if test ! -d $(bin)post_merge_genconfdb; then $(mkdir) -p $(bin)post_merge_genconfdb; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)post_merge_genconfdb
else
post_merge_genconfdbdirs : ;
endif

ifdef cmt_post_merge_genconfdb_has_target_tag

ifndef QUICK
$(cmt_local_post_merge_genconfdb_makefile) : $(post_merge_genconfdb_dependencies) build_library_links
	$(echo) "(constituents.make) Building post_merge_genconfdb.make"; \
	  $(cmtexe) -tag=$(tags) $(post_merge_genconfdb_extratags) build constituent_config -out=$(cmt_local_post_merge_genconfdb_makefile) post_merge_genconfdb
else
$(cmt_local_post_merge_genconfdb_makefile) : $(post_merge_genconfdb_dependencies) $(cmt_build_library_linksstamp) $(use_requirements)
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_post_merge_genconfdb) ] || \
	  [ ! -f $(cmt_final_setup_post_merge_genconfdb) ] || \
	  $(not_post_merge_genconfdb_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building post_merge_genconfdb.make"; \
	  $(cmtexe) -tag=$(tags) $(post_merge_genconfdb_extratags) build constituent_config -out=$(cmt_local_post_merge_genconfdb_makefile) post_merge_genconfdb; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_post_merge_genconfdb_makefile) : $(post_merge_genconfdb_dependencies) build_library_links
	$(echo) "(constituents.make) Building post_merge_genconfdb.make"; \
	  $(cmtexe) -f=$(bin)post_merge_genconfdb.in -tag=$(tags) $(post_merge_genconfdb_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_post_merge_genconfdb_makefile) post_merge_genconfdb
else
$(cmt_local_post_merge_genconfdb_makefile) : $(post_merge_genconfdb_dependencies) $(cmt_build_library_linksstamp) $(bin)post_merge_genconfdb.in
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_post_merge_genconfdb) ] || \
	  [ ! -f $(cmt_final_setup_post_merge_genconfdb) ] || \
	  $(not_post_merge_genconfdb_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building post_merge_genconfdb.make"; \
	  $(cmtexe) -f=$(bin)post_merge_genconfdb.in -tag=$(tags) $(post_merge_genconfdb_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_post_merge_genconfdb_makefile) post_merge_genconfdb; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(post_merge_genconfdb_extratags) build constituent_makefile -out=$(cmt_local_post_merge_genconfdb_makefile) post_merge_genconfdb

post_merge_genconfdb :: $(post_merge_genconfdb_dependencies) $(cmt_local_post_merge_genconfdb_makefile) dirs post_merge_genconfdbdirs
	$(echo) "(constituents.make) Starting post_merge_genconfdb"
	@if test -f $(cmt_local_post_merge_genconfdb_makefile); then \
	  $(MAKE) -f $(cmt_local_post_merge_genconfdb_makefile) post_merge_genconfdb; \
	  fi
#	@$(MAKE) -f $(cmt_local_post_merge_genconfdb_makefile) post_merge_genconfdb
	$(echo) "(constituents.make) post_merge_genconfdb done"

clean :: post_merge_genconfdbclean ;

post_merge_genconfdbclean :: $(post_merge_genconfdbclean_dependencies) ##$(cmt_local_post_merge_genconfdb_makefile)
	$(echo) "(constituents.make) Starting post_merge_genconfdbclean"
	@-if test -f $(cmt_local_post_merge_genconfdb_makefile); then \
	  $(MAKE) -f $(cmt_local_post_merge_genconfdb_makefile) post_merge_genconfdbclean; \
	fi
	$(echo) "(constituents.make) post_merge_genconfdbclean done"
#	@-$(MAKE) -f $(cmt_local_post_merge_genconfdb_makefile) post_merge_genconfdbclean

##	  /bin/rm -f $(cmt_local_post_merge_genconfdb_makefile) $(bin)post_merge_genconfdb_dependencies.make

install :: post_merge_genconfdbinstall ;

post_merge_genconfdbinstall :: $(post_merge_genconfdb_dependencies) $(cmt_local_post_merge_genconfdb_makefile)
	$(echo) "(constituents.make) Starting $@"
	@if test -f $(cmt_local_post_merge_genconfdb_makefile); then \
	  $(MAKE) -f $(cmt_local_post_merge_genconfdb_makefile) install; \
	  fi
#	@-$(MAKE) -f $(cmt_local_post_merge_genconfdb_makefile) install
	$(echo) "(constituents.make) $@ done"

uninstall : post_merge_genconfdbuninstall

$(foreach d,$(post_merge_genconfdb_dependencies),$(eval $(d)uninstall_dependencies += post_merge_genconfdbuninstall))

post_merge_genconfdbuninstall : $(post_merge_genconfdbuninstall_dependencies) ##$(cmt_local_post_merge_genconfdb_makefile)
	$(echo) "(constituents.make) Starting $@"
	@-if test -f $(cmt_local_post_merge_genconfdb_makefile); then \
	  $(MAKE) -f $(cmt_local_post_merge_genconfdb_makefile) uninstall; \
	  fi
#	@$(MAKE) -f $(cmt_local_post_merge_genconfdb_makefile) uninstall
	$(echo) "(constituents.make) $@ done"

remove_library_links :: post_merge_genconfdbuninstall ;

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ post_merge_genconfdb"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ post_merge_genconfdb done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_post_build_tpcnvdb_has_no_target_tag = 1

#--------------------------------------

ifdef cmt_post_build_tpcnvdb_has_target_tag

cmt_local_tagfile_post_build_tpcnvdb = $(bin)$(AtlantisJava_tag)_post_build_tpcnvdb.make
cmt_final_setup_post_build_tpcnvdb = $(bin)setup_post_build_tpcnvdb.make
cmt_local_post_build_tpcnvdb_makefile = $(bin)post_build_tpcnvdb.make

post_build_tpcnvdb_extratags = -tag_add=target_post_build_tpcnvdb

else

cmt_local_tagfile_post_build_tpcnvdb = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_post_build_tpcnvdb = $(bin)setup.make
cmt_local_post_build_tpcnvdb_makefile = $(bin)post_build_tpcnvdb.make

endif

not_post_build_tpcnvdb_dependencies = { n=0; for p in $?; do m=0; for d in $(post_build_tpcnvdb_dependencies); do if [ $$p = $$d ]; then m=1; break; fi; done; if [ $$m -eq 0 ]; then n=1; break; fi; done; [ $$n -eq 1 ]; }

ifdef STRUCTURED_OUTPUT
post_build_tpcnvdbdirs :
	@if test ! -d $(bin)post_build_tpcnvdb; then $(mkdir) -p $(bin)post_build_tpcnvdb; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)post_build_tpcnvdb
else
post_build_tpcnvdbdirs : ;
endif

ifdef cmt_post_build_tpcnvdb_has_target_tag

ifndef QUICK
$(cmt_local_post_build_tpcnvdb_makefile) : $(post_build_tpcnvdb_dependencies) build_library_links
	$(echo) "(constituents.make) Building post_build_tpcnvdb.make"; \
	  $(cmtexe) -tag=$(tags) $(post_build_tpcnvdb_extratags) build constituent_config -out=$(cmt_local_post_build_tpcnvdb_makefile) post_build_tpcnvdb
else
$(cmt_local_post_build_tpcnvdb_makefile) : $(post_build_tpcnvdb_dependencies) $(cmt_build_library_linksstamp) $(use_requirements)
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_post_build_tpcnvdb) ] || \
	  [ ! -f $(cmt_final_setup_post_build_tpcnvdb) ] || \
	  $(not_post_build_tpcnvdb_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building post_build_tpcnvdb.make"; \
	  $(cmtexe) -tag=$(tags) $(post_build_tpcnvdb_extratags) build constituent_config -out=$(cmt_local_post_build_tpcnvdb_makefile) post_build_tpcnvdb; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_post_build_tpcnvdb_makefile) : $(post_build_tpcnvdb_dependencies) build_library_links
	$(echo) "(constituents.make) Building post_build_tpcnvdb.make"; \
	  $(cmtexe) -f=$(bin)post_build_tpcnvdb.in -tag=$(tags) $(post_build_tpcnvdb_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_post_build_tpcnvdb_makefile) post_build_tpcnvdb
else
$(cmt_local_post_build_tpcnvdb_makefile) : $(post_build_tpcnvdb_dependencies) $(cmt_build_library_linksstamp) $(bin)post_build_tpcnvdb.in
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_post_build_tpcnvdb) ] || \
	  [ ! -f $(cmt_final_setup_post_build_tpcnvdb) ] || \
	  $(not_post_build_tpcnvdb_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building post_build_tpcnvdb.make"; \
	  $(cmtexe) -f=$(bin)post_build_tpcnvdb.in -tag=$(tags) $(post_build_tpcnvdb_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_post_build_tpcnvdb_makefile) post_build_tpcnvdb; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(post_build_tpcnvdb_extratags) build constituent_makefile -out=$(cmt_local_post_build_tpcnvdb_makefile) post_build_tpcnvdb

post_build_tpcnvdb :: $(post_build_tpcnvdb_dependencies) $(cmt_local_post_build_tpcnvdb_makefile) dirs post_build_tpcnvdbdirs
	$(echo) "(constituents.make) Starting post_build_tpcnvdb"
	@if test -f $(cmt_local_post_build_tpcnvdb_makefile); then \
	  $(MAKE) -f $(cmt_local_post_build_tpcnvdb_makefile) post_build_tpcnvdb; \
	  fi
#	@$(MAKE) -f $(cmt_local_post_build_tpcnvdb_makefile) post_build_tpcnvdb
	$(echo) "(constituents.make) post_build_tpcnvdb done"

clean :: post_build_tpcnvdbclean ;

post_build_tpcnvdbclean :: $(post_build_tpcnvdbclean_dependencies) ##$(cmt_local_post_build_tpcnvdb_makefile)
	$(echo) "(constituents.make) Starting post_build_tpcnvdbclean"
	@-if test -f $(cmt_local_post_build_tpcnvdb_makefile); then \
	  $(MAKE) -f $(cmt_local_post_build_tpcnvdb_makefile) post_build_tpcnvdbclean; \
	fi
	$(echo) "(constituents.make) post_build_tpcnvdbclean done"
#	@-$(MAKE) -f $(cmt_local_post_build_tpcnvdb_makefile) post_build_tpcnvdbclean

##	  /bin/rm -f $(cmt_local_post_build_tpcnvdb_makefile) $(bin)post_build_tpcnvdb_dependencies.make

install :: post_build_tpcnvdbinstall ;

post_build_tpcnvdbinstall :: $(post_build_tpcnvdb_dependencies) $(cmt_local_post_build_tpcnvdb_makefile)
	$(echo) "(constituents.make) Starting $@"
	@if test -f $(cmt_local_post_build_tpcnvdb_makefile); then \
	  $(MAKE) -f $(cmt_local_post_build_tpcnvdb_makefile) install; \
	  fi
#	@-$(MAKE) -f $(cmt_local_post_build_tpcnvdb_makefile) install
	$(echo) "(constituents.make) $@ done"

uninstall : post_build_tpcnvdbuninstall

$(foreach d,$(post_build_tpcnvdb_dependencies),$(eval $(d)uninstall_dependencies += post_build_tpcnvdbuninstall))

post_build_tpcnvdbuninstall : $(post_build_tpcnvdbuninstall_dependencies) ##$(cmt_local_post_build_tpcnvdb_makefile)
	$(echo) "(constituents.make) Starting $@"
	@-if test -f $(cmt_local_post_build_tpcnvdb_makefile); then \
	  $(MAKE) -f $(cmt_local_post_build_tpcnvdb_makefile) uninstall; \
	  fi
#	@$(MAKE) -f $(cmt_local_post_build_tpcnvdb_makefile) uninstall
	$(echo) "(constituents.make) $@ done"

remove_library_links :: post_build_tpcnvdbuninstall ;

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ post_build_tpcnvdb"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ post_build_tpcnvdb done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_all_post_constituents_has_no_target_tag = 1

#--------------------------------------

ifdef cmt_all_post_constituents_has_target_tag

cmt_local_tagfile_all_post_constituents = $(bin)$(AtlantisJava_tag)_all_post_constituents.make
cmt_final_setup_all_post_constituents = $(bin)setup_all_post_constituents.make
cmt_local_all_post_constituents_makefile = $(bin)all_post_constituents.make

all_post_constituents_extratags = -tag_add=target_all_post_constituents

else

cmt_local_tagfile_all_post_constituents = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_all_post_constituents = $(bin)setup.make
cmt_local_all_post_constituents_makefile = $(bin)all_post_constituents.make

endif

not_all_post_constituents_dependencies = { n=0; for p in $?; do m=0; for d in $(all_post_constituents_dependencies); do if [ $$p = $$d ]; then m=1; break; fi; done; if [ $$m -eq 0 ]; then n=1; break; fi; done; [ $$n -eq 1 ]; }

ifdef STRUCTURED_OUTPUT
all_post_constituentsdirs :
	@if test ! -d $(bin)all_post_constituents; then $(mkdir) -p $(bin)all_post_constituents; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)all_post_constituents
else
all_post_constituentsdirs : ;
endif

ifdef cmt_all_post_constituents_has_target_tag

ifndef QUICK
$(cmt_local_all_post_constituents_makefile) : $(all_post_constituents_dependencies) build_library_links
	$(echo) "(constituents.make) Building all_post_constituents.make"; \
	  $(cmtexe) -tag=$(tags) $(all_post_constituents_extratags) build constituent_config -out=$(cmt_local_all_post_constituents_makefile) all_post_constituents
else
$(cmt_local_all_post_constituents_makefile) : $(all_post_constituents_dependencies) $(cmt_build_library_linksstamp) $(use_requirements)
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_all_post_constituents) ] || \
	  [ ! -f $(cmt_final_setup_all_post_constituents) ] || \
	  $(not_all_post_constituents_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building all_post_constituents.make"; \
	  $(cmtexe) -tag=$(tags) $(all_post_constituents_extratags) build constituent_config -out=$(cmt_local_all_post_constituents_makefile) all_post_constituents; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_all_post_constituents_makefile) : $(all_post_constituents_dependencies) build_library_links
	$(echo) "(constituents.make) Building all_post_constituents.make"; \
	  $(cmtexe) -f=$(bin)all_post_constituents.in -tag=$(tags) $(all_post_constituents_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_all_post_constituents_makefile) all_post_constituents
else
$(cmt_local_all_post_constituents_makefile) : $(all_post_constituents_dependencies) $(cmt_build_library_linksstamp) $(bin)all_post_constituents.in
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_all_post_constituents) ] || \
	  [ ! -f $(cmt_final_setup_all_post_constituents) ] || \
	  $(not_all_post_constituents_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building all_post_constituents.make"; \
	  $(cmtexe) -f=$(bin)all_post_constituents.in -tag=$(tags) $(all_post_constituents_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_all_post_constituents_makefile) all_post_constituents; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(all_post_constituents_extratags) build constituent_makefile -out=$(cmt_local_all_post_constituents_makefile) all_post_constituents

all_post_constituents :: $(all_post_constituents_dependencies) $(cmt_local_all_post_constituents_makefile) dirs all_post_constituentsdirs
	$(echo) "(constituents.make) Starting all_post_constituents"
	@if test -f $(cmt_local_all_post_constituents_makefile); then \
	  $(MAKE) -f $(cmt_local_all_post_constituents_makefile) all_post_constituents; \
	  fi
#	@$(MAKE) -f $(cmt_local_all_post_constituents_makefile) all_post_constituents
	$(echo) "(constituents.make) all_post_constituents done"

clean :: all_post_constituentsclean ;

all_post_constituentsclean :: $(all_post_constituentsclean_dependencies) ##$(cmt_local_all_post_constituents_makefile)
	$(echo) "(constituents.make) Starting all_post_constituentsclean"
	@-if test -f $(cmt_local_all_post_constituents_makefile); then \
	  $(MAKE) -f $(cmt_local_all_post_constituents_makefile) all_post_constituentsclean; \
	fi
	$(echo) "(constituents.make) all_post_constituentsclean done"
#	@-$(MAKE) -f $(cmt_local_all_post_constituents_makefile) all_post_constituentsclean

##	  /bin/rm -f $(cmt_local_all_post_constituents_makefile) $(bin)all_post_constituents_dependencies.make

install :: all_post_constituentsinstall ;

all_post_constituentsinstall :: $(all_post_constituents_dependencies) $(cmt_local_all_post_constituents_makefile)
	$(echo) "(constituents.make) Starting $@"
	@if test -f $(cmt_local_all_post_constituents_makefile); then \
	  $(MAKE) -f $(cmt_local_all_post_constituents_makefile) install; \
	  fi
#	@-$(MAKE) -f $(cmt_local_all_post_constituents_makefile) install
	$(echo) "(constituents.make) $@ done"

uninstall : all_post_constituentsuninstall

$(foreach d,$(all_post_constituents_dependencies),$(eval $(d)uninstall_dependencies += all_post_constituentsuninstall))

all_post_constituentsuninstall : $(all_post_constituentsuninstall_dependencies) ##$(cmt_local_all_post_constituents_makefile)
	$(echo) "(constituents.make) Starting $@"
	@-if test -f $(cmt_local_all_post_constituents_makefile); then \
	  $(MAKE) -f $(cmt_local_all_post_constituents_makefile) uninstall; \
	  fi
#	@$(MAKE) -f $(cmt_local_all_post_constituents_makefile) uninstall
	$(echo) "(constituents.make) $@ done"

remove_library_links :: all_post_constituentsuninstall ;

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ all_post_constituents"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ all_post_constituents done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_checkreq_has_no_target_tag = 1

#--------------------------------------

ifdef cmt_checkreq_has_target_tag

cmt_local_tagfile_checkreq = $(bin)$(AtlantisJava_tag)_checkreq.make
cmt_final_setup_checkreq = $(bin)setup_checkreq.make
cmt_local_checkreq_makefile = $(bin)checkreq.make

checkreq_extratags = -tag_add=target_checkreq

else

cmt_local_tagfile_checkreq = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_checkreq = $(bin)setup.make
cmt_local_checkreq_makefile = $(bin)checkreq.make

endif

not_checkreq_dependencies = { n=0; for p in $?; do m=0; for d in $(checkreq_dependencies); do if [ $$p = $$d ]; then m=1; break; fi; done; if [ $$m -eq 0 ]; then n=1; break; fi; done; [ $$n -eq 1 ]; }

ifdef STRUCTURED_OUTPUT
checkreqdirs :
	@if test ! -d $(bin)checkreq; then $(mkdir) -p $(bin)checkreq; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)checkreq
else
checkreqdirs : ;
endif

ifdef cmt_checkreq_has_target_tag

ifndef QUICK
$(cmt_local_checkreq_makefile) : $(checkreq_dependencies) build_library_links
	$(echo) "(constituents.make) Building checkreq.make"; \
	  $(cmtexe) -tag=$(tags) $(checkreq_extratags) build constituent_config -out=$(cmt_local_checkreq_makefile) checkreq
else
$(cmt_local_checkreq_makefile) : $(checkreq_dependencies) $(cmt_build_library_linksstamp) $(use_requirements)
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_checkreq) ] || \
	  [ ! -f $(cmt_final_setup_checkreq) ] || \
	  $(not_checkreq_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building checkreq.make"; \
	  $(cmtexe) -tag=$(tags) $(checkreq_extratags) build constituent_config -out=$(cmt_local_checkreq_makefile) checkreq; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_checkreq_makefile) : $(checkreq_dependencies) build_library_links
	$(echo) "(constituents.make) Building checkreq.make"; \
	  $(cmtexe) -f=$(bin)checkreq.in -tag=$(tags) $(checkreq_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_checkreq_makefile) checkreq
else
$(cmt_local_checkreq_makefile) : $(checkreq_dependencies) $(cmt_build_library_linksstamp) $(bin)checkreq.in
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_checkreq) ] || \
	  [ ! -f $(cmt_final_setup_checkreq) ] || \
	  $(not_checkreq_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building checkreq.make"; \
	  $(cmtexe) -f=$(bin)checkreq.in -tag=$(tags) $(checkreq_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_checkreq_makefile) checkreq; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(checkreq_extratags) build constituent_makefile -out=$(cmt_local_checkreq_makefile) checkreq

checkreq :: $(checkreq_dependencies) $(cmt_local_checkreq_makefile) dirs checkreqdirs
	$(echo) "(constituents.make) Starting checkreq"
	@if test -f $(cmt_local_checkreq_makefile); then \
	  $(MAKE) -f $(cmt_local_checkreq_makefile) checkreq; \
	  fi
#	@$(MAKE) -f $(cmt_local_checkreq_makefile) checkreq
	$(echo) "(constituents.make) checkreq done"

clean :: checkreqclean ;

checkreqclean :: $(checkreqclean_dependencies) ##$(cmt_local_checkreq_makefile)
	$(echo) "(constituents.make) Starting checkreqclean"
	@-if test -f $(cmt_local_checkreq_makefile); then \
	  $(MAKE) -f $(cmt_local_checkreq_makefile) checkreqclean; \
	fi
	$(echo) "(constituents.make) checkreqclean done"
#	@-$(MAKE) -f $(cmt_local_checkreq_makefile) checkreqclean

##	  /bin/rm -f $(cmt_local_checkreq_makefile) $(bin)checkreq_dependencies.make

install :: checkreqinstall ;

checkreqinstall :: $(checkreq_dependencies) $(cmt_local_checkreq_makefile)
	$(echo) "(constituents.make) Starting $@"
	@if test -f $(cmt_local_checkreq_makefile); then \
	  $(MAKE) -f $(cmt_local_checkreq_makefile) install; \
	  fi
#	@-$(MAKE) -f $(cmt_local_checkreq_makefile) install
	$(echo) "(constituents.make) $@ done"

uninstall : checkrequninstall

$(foreach d,$(checkreq_dependencies),$(eval $(d)uninstall_dependencies += checkrequninstall))

checkrequninstall : $(checkrequninstall_dependencies) ##$(cmt_local_checkreq_makefile)
	$(echo) "(constituents.make) Starting $@"
	@-if test -f $(cmt_local_checkreq_makefile); then \
	  $(MAKE) -f $(cmt_local_checkreq_makefile) uninstall; \
	  fi
#	@$(MAKE) -f $(cmt_local_checkreq_makefile) uninstall
	$(echo) "(constituents.make) $@ done"

remove_library_links :: checkrequninstall ;

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ checkreq"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ checkreq done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_check_install_scripts_has_no_target_tag = 1

#--------------------------------------

ifdef cmt_check_install_scripts_has_target_tag

cmt_local_tagfile_check_install_scripts = $(bin)$(AtlantisJava_tag)_check_install_scripts.make
cmt_final_setup_check_install_scripts = $(bin)setup_check_install_scripts.make
cmt_local_check_install_scripts_makefile = $(bin)check_install_scripts.make

check_install_scripts_extratags = -tag_add=target_check_install_scripts

else

cmt_local_tagfile_check_install_scripts = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_check_install_scripts = $(bin)setup.make
cmt_local_check_install_scripts_makefile = $(bin)check_install_scripts.make

endif

not_check_install_scripts_dependencies = { n=0; for p in $?; do m=0; for d in $(check_install_scripts_dependencies); do if [ $$p = $$d ]; then m=1; break; fi; done; if [ $$m -eq 0 ]; then n=1; break; fi; done; [ $$n -eq 1 ]; }

ifdef STRUCTURED_OUTPUT
check_install_scriptsdirs :
	@if test ! -d $(bin)check_install_scripts; then $(mkdir) -p $(bin)check_install_scripts; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)check_install_scripts
else
check_install_scriptsdirs : ;
endif

ifdef cmt_check_install_scripts_has_target_tag

ifndef QUICK
$(cmt_local_check_install_scripts_makefile) : $(check_install_scripts_dependencies) build_library_links
	$(echo) "(constituents.make) Building check_install_scripts.make"; \
	  $(cmtexe) -tag=$(tags) $(check_install_scripts_extratags) build constituent_config -out=$(cmt_local_check_install_scripts_makefile) check_install_scripts
else
$(cmt_local_check_install_scripts_makefile) : $(check_install_scripts_dependencies) $(cmt_build_library_linksstamp) $(use_requirements)
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_check_install_scripts) ] || \
	  [ ! -f $(cmt_final_setup_check_install_scripts) ] || \
	  $(not_check_install_scripts_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building check_install_scripts.make"; \
	  $(cmtexe) -tag=$(tags) $(check_install_scripts_extratags) build constituent_config -out=$(cmt_local_check_install_scripts_makefile) check_install_scripts; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_check_install_scripts_makefile) : $(check_install_scripts_dependencies) build_library_links
	$(echo) "(constituents.make) Building check_install_scripts.make"; \
	  $(cmtexe) -f=$(bin)check_install_scripts.in -tag=$(tags) $(check_install_scripts_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_check_install_scripts_makefile) check_install_scripts
else
$(cmt_local_check_install_scripts_makefile) : $(check_install_scripts_dependencies) $(cmt_build_library_linksstamp) $(bin)check_install_scripts.in
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_check_install_scripts) ] || \
	  [ ! -f $(cmt_final_setup_check_install_scripts) ] || \
	  $(not_check_install_scripts_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building check_install_scripts.make"; \
	  $(cmtexe) -f=$(bin)check_install_scripts.in -tag=$(tags) $(check_install_scripts_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_check_install_scripts_makefile) check_install_scripts; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(check_install_scripts_extratags) build constituent_makefile -out=$(cmt_local_check_install_scripts_makefile) check_install_scripts

check_install_scripts :: $(check_install_scripts_dependencies) $(cmt_local_check_install_scripts_makefile) dirs check_install_scriptsdirs
	$(echo) "(constituents.make) Starting check_install_scripts"
	@if test -f $(cmt_local_check_install_scripts_makefile); then \
	  $(MAKE) -f $(cmt_local_check_install_scripts_makefile) check_install_scripts; \
	  fi
#	@$(MAKE) -f $(cmt_local_check_install_scripts_makefile) check_install_scripts
	$(echo) "(constituents.make) check_install_scripts done"

clean :: check_install_scriptsclean ;

check_install_scriptsclean :: $(check_install_scriptsclean_dependencies) ##$(cmt_local_check_install_scripts_makefile)
	$(echo) "(constituents.make) Starting check_install_scriptsclean"
	@-if test -f $(cmt_local_check_install_scripts_makefile); then \
	  $(MAKE) -f $(cmt_local_check_install_scripts_makefile) check_install_scriptsclean; \
	fi
	$(echo) "(constituents.make) check_install_scriptsclean done"
#	@-$(MAKE) -f $(cmt_local_check_install_scripts_makefile) check_install_scriptsclean

##	  /bin/rm -f $(cmt_local_check_install_scripts_makefile) $(bin)check_install_scripts_dependencies.make

install :: check_install_scriptsinstall ;

check_install_scriptsinstall :: $(check_install_scripts_dependencies) $(cmt_local_check_install_scripts_makefile)
	$(echo) "(constituents.make) Starting $@"
	@if test -f $(cmt_local_check_install_scripts_makefile); then \
	  $(MAKE) -f $(cmt_local_check_install_scripts_makefile) install; \
	  fi
#	@-$(MAKE) -f $(cmt_local_check_install_scripts_makefile) install
	$(echo) "(constituents.make) $@ done"

uninstall : check_install_scriptsuninstall

$(foreach d,$(check_install_scripts_dependencies),$(eval $(d)uninstall_dependencies += check_install_scriptsuninstall))

check_install_scriptsuninstall : $(check_install_scriptsuninstall_dependencies) ##$(cmt_local_check_install_scripts_makefile)
	$(echo) "(constituents.make) Starting $@"
	@-if test -f $(cmt_local_check_install_scripts_makefile); then \
	  $(MAKE) -f $(cmt_local_check_install_scripts_makefile) uninstall; \
	  fi
#	@$(MAKE) -f $(cmt_local_check_install_scripts_makefile) uninstall
	$(echo) "(constituents.make) $@ done"

remove_library_links :: check_install_scriptsuninstall ;

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ check_install_scripts"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ check_install_scripts done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_check_install_joboptions_has_no_target_tag = 1

#--------------------------------------

ifdef cmt_check_install_joboptions_has_target_tag

cmt_local_tagfile_check_install_joboptions = $(bin)$(AtlantisJava_tag)_check_install_joboptions.make
cmt_final_setup_check_install_joboptions = $(bin)setup_check_install_joboptions.make
cmt_local_check_install_joboptions_makefile = $(bin)check_install_joboptions.make

check_install_joboptions_extratags = -tag_add=target_check_install_joboptions

else

cmt_local_tagfile_check_install_joboptions = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_check_install_joboptions = $(bin)setup.make
cmt_local_check_install_joboptions_makefile = $(bin)check_install_joboptions.make

endif

not_check_install_joboptions_dependencies = { n=0; for p in $?; do m=0; for d in $(check_install_joboptions_dependencies); do if [ $$p = $$d ]; then m=1; break; fi; done; if [ $$m -eq 0 ]; then n=1; break; fi; done; [ $$n -eq 1 ]; }

ifdef STRUCTURED_OUTPUT
check_install_joboptionsdirs :
	@if test ! -d $(bin)check_install_joboptions; then $(mkdir) -p $(bin)check_install_joboptions; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)check_install_joboptions
else
check_install_joboptionsdirs : ;
endif

ifdef cmt_check_install_joboptions_has_target_tag

ifndef QUICK
$(cmt_local_check_install_joboptions_makefile) : $(check_install_joboptions_dependencies) build_library_links
	$(echo) "(constituents.make) Building check_install_joboptions.make"; \
	  $(cmtexe) -tag=$(tags) $(check_install_joboptions_extratags) build constituent_config -out=$(cmt_local_check_install_joboptions_makefile) check_install_joboptions
else
$(cmt_local_check_install_joboptions_makefile) : $(check_install_joboptions_dependencies) $(cmt_build_library_linksstamp) $(use_requirements)
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_check_install_joboptions) ] || \
	  [ ! -f $(cmt_final_setup_check_install_joboptions) ] || \
	  $(not_check_install_joboptions_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building check_install_joboptions.make"; \
	  $(cmtexe) -tag=$(tags) $(check_install_joboptions_extratags) build constituent_config -out=$(cmt_local_check_install_joboptions_makefile) check_install_joboptions; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_check_install_joboptions_makefile) : $(check_install_joboptions_dependencies) build_library_links
	$(echo) "(constituents.make) Building check_install_joboptions.make"; \
	  $(cmtexe) -f=$(bin)check_install_joboptions.in -tag=$(tags) $(check_install_joboptions_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_check_install_joboptions_makefile) check_install_joboptions
else
$(cmt_local_check_install_joboptions_makefile) : $(check_install_joboptions_dependencies) $(cmt_build_library_linksstamp) $(bin)check_install_joboptions.in
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_check_install_joboptions) ] || \
	  [ ! -f $(cmt_final_setup_check_install_joboptions) ] || \
	  $(not_check_install_joboptions_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building check_install_joboptions.make"; \
	  $(cmtexe) -f=$(bin)check_install_joboptions.in -tag=$(tags) $(check_install_joboptions_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_check_install_joboptions_makefile) check_install_joboptions; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(check_install_joboptions_extratags) build constituent_makefile -out=$(cmt_local_check_install_joboptions_makefile) check_install_joboptions

check_install_joboptions :: $(check_install_joboptions_dependencies) $(cmt_local_check_install_joboptions_makefile) dirs check_install_joboptionsdirs
	$(echo) "(constituents.make) Starting check_install_joboptions"
	@if test -f $(cmt_local_check_install_joboptions_makefile); then \
	  $(MAKE) -f $(cmt_local_check_install_joboptions_makefile) check_install_joboptions; \
	  fi
#	@$(MAKE) -f $(cmt_local_check_install_joboptions_makefile) check_install_joboptions
	$(echo) "(constituents.make) check_install_joboptions done"

clean :: check_install_joboptionsclean ;

check_install_joboptionsclean :: $(check_install_joboptionsclean_dependencies) ##$(cmt_local_check_install_joboptions_makefile)
	$(echo) "(constituents.make) Starting check_install_joboptionsclean"
	@-if test -f $(cmt_local_check_install_joboptions_makefile); then \
	  $(MAKE) -f $(cmt_local_check_install_joboptions_makefile) check_install_joboptionsclean; \
	fi
	$(echo) "(constituents.make) check_install_joboptionsclean done"
#	@-$(MAKE) -f $(cmt_local_check_install_joboptions_makefile) check_install_joboptionsclean

##	  /bin/rm -f $(cmt_local_check_install_joboptions_makefile) $(bin)check_install_joboptions_dependencies.make

install :: check_install_joboptionsinstall ;

check_install_joboptionsinstall :: $(check_install_joboptions_dependencies) $(cmt_local_check_install_joboptions_makefile)
	$(echo) "(constituents.make) Starting $@"
	@if test -f $(cmt_local_check_install_joboptions_makefile); then \
	  $(MAKE) -f $(cmt_local_check_install_joboptions_makefile) install; \
	  fi
#	@-$(MAKE) -f $(cmt_local_check_install_joboptions_makefile) install
	$(echo) "(constituents.make) $@ done"

uninstall : check_install_joboptionsuninstall

$(foreach d,$(check_install_joboptions_dependencies),$(eval $(d)uninstall_dependencies += check_install_joboptionsuninstall))

check_install_joboptionsuninstall : $(check_install_joboptionsuninstall_dependencies) ##$(cmt_local_check_install_joboptions_makefile)
	$(echo) "(constituents.make) Starting $@"
	@-if test -f $(cmt_local_check_install_joboptions_makefile); then \
	  $(MAKE) -f $(cmt_local_check_install_joboptions_makefile) uninstall; \
	  fi
#	@$(MAKE) -f $(cmt_local_check_install_joboptions_makefile) uninstall
	$(echo) "(constituents.make) $@ done"

remove_library_links :: check_install_joboptionsuninstall ;

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ check_install_joboptions"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ check_install_joboptions done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_check_install_jar_has_no_target_tag = 1

#--------------------------------------

ifdef cmt_check_install_jar_has_target_tag

cmt_local_tagfile_check_install_jar = $(bin)$(AtlantisJava_tag)_check_install_jar.make
cmt_final_setup_check_install_jar = $(bin)setup_check_install_jar.make
cmt_local_check_install_jar_makefile = $(bin)check_install_jar.make

check_install_jar_extratags = -tag_add=target_check_install_jar

else

cmt_local_tagfile_check_install_jar = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_check_install_jar = $(bin)setup.make
cmt_local_check_install_jar_makefile = $(bin)check_install_jar.make

endif

not_check_install_jar_dependencies = { n=0; for p in $?; do m=0; for d in $(check_install_jar_dependencies); do if [ $$p = $$d ]; then m=1; break; fi; done; if [ $$m -eq 0 ]; then n=1; break; fi; done; [ $$n -eq 1 ]; }

ifdef STRUCTURED_OUTPUT
check_install_jardirs :
	@if test ! -d $(bin)check_install_jar; then $(mkdir) -p $(bin)check_install_jar; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)check_install_jar
else
check_install_jardirs : ;
endif

ifdef cmt_check_install_jar_has_target_tag

ifndef QUICK
$(cmt_local_check_install_jar_makefile) : $(check_install_jar_dependencies) build_library_links
	$(echo) "(constituents.make) Building check_install_jar.make"; \
	  $(cmtexe) -tag=$(tags) $(check_install_jar_extratags) build constituent_config -out=$(cmt_local_check_install_jar_makefile) check_install_jar
else
$(cmt_local_check_install_jar_makefile) : $(check_install_jar_dependencies) $(cmt_build_library_linksstamp) $(use_requirements)
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_check_install_jar) ] || \
	  [ ! -f $(cmt_final_setup_check_install_jar) ] || \
	  $(not_check_install_jar_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building check_install_jar.make"; \
	  $(cmtexe) -tag=$(tags) $(check_install_jar_extratags) build constituent_config -out=$(cmt_local_check_install_jar_makefile) check_install_jar; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_check_install_jar_makefile) : $(check_install_jar_dependencies) build_library_links
	$(echo) "(constituents.make) Building check_install_jar.make"; \
	  $(cmtexe) -f=$(bin)check_install_jar.in -tag=$(tags) $(check_install_jar_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_check_install_jar_makefile) check_install_jar
else
$(cmt_local_check_install_jar_makefile) : $(check_install_jar_dependencies) $(cmt_build_library_linksstamp) $(bin)check_install_jar.in
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_check_install_jar) ] || \
	  [ ! -f $(cmt_final_setup_check_install_jar) ] || \
	  $(not_check_install_jar_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building check_install_jar.make"; \
	  $(cmtexe) -f=$(bin)check_install_jar.in -tag=$(tags) $(check_install_jar_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_check_install_jar_makefile) check_install_jar; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(check_install_jar_extratags) build constituent_makefile -out=$(cmt_local_check_install_jar_makefile) check_install_jar

check_install_jar :: $(check_install_jar_dependencies) $(cmt_local_check_install_jar_makefile) dirs check_install_jardirs
	$(echo) "(constituents.make) Starting check_install_jar"
	@if test -f $(cmt_local_check_install_jar_makefile); then \
	  $(MAKE) -f $(cmt_local_check_install_jar_makefile) check_install_jar; \
	  fi
#	@$(MAKE) -f $(cmt_local_check_install_jar_makefile) check_install_jar
	$(echo) "(constituents.make) check_install_jar done"

clean :: check_install_jarclean ;

check_install_jarclean :: $(check_install_jarclean_dependencies) ##$(cmt_local_check_install_jar_makefile)
	$(echo) "(constituents.make) Starting check_install_jarclean"
	@-if test -f $(cmt_local_check_install_jar_makefile); then \
	  $(MAKE) -f $(cmt_local_check_install_jar_makefile) check_install_jarclean; \
	fi
	$(echo) "(constituents.make) check_install_jarclean done"
#	@-$(MAKE) -f $(cmt_local_check_install_jar_makefile) check_install_jarclean

##	  /bin/rm -f $(cmt_local_check_install_jar_makefile) $(bin)check_install_jar_dependencies.make

install :: check_install_jarinstall ;

check_install_jarinstall :: $(check_install_jar_dependencies) $(cmt_local_check_install_jar_makefile)
	$(echo) "(constituents.make) Starting $@"
	@if test -f $(cmt_local_check_install_jar_makefile); then \
	  $(MAKE) -f $(cmt_local_check_install_jar_makefile) install; \
	  fi
#	@-$(MAKE) -f $(cmt_local_check_install_jar_makefile) install
	$(echo) "(constituents.make) $@ done"

uninstall : check_install_jaruninstall

$(foreach d,$(check_install_jar_dependencies),$(eval $(d)uninstall_dependencies += check_install_jaruninstall))

check_install_jaruninstall : $(check_install_jaruninstall_dependencies) ##$(cmt_local_check_install_jar_makefile)
	$(echo) "(constituents.make) Starting $@"
	@-if test -f $(cmt_local_check_install_jar_makefile); then \
	  $(MAKE) -f $(cmt_local_check_install_jar_makefile) uninstall; \
	  fi
#	@$(MAKE) -f $(cmt_local_check_install_jar_makefile) uninstall
	$(echo) "(constituents.make) $@ done"

remove_library_links :: check_install_jaruninstall ;

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ check_install_jar"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ check_install_jar done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_check_install_lib_has_no_target_tag = 1

#--------------------------------------

ifdef cmt_check_install_lib_has_target_tag

cmt_local_tagfile_check_install_lib = $(bin)$(AtlantisJava_tag)_check_install_lib.make
cmt_final_setup_check_install_lib = $(bin)setup_check_install_lib.make
cmt_local_check_install_lib_makefile = $(bin)check_install_lib.make

check_install_lib_extratags = -tag_add=target_check_install_lib

else

cmt_local_tagfile_check_install_lib = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_check_install_lib = $(bin)setup.make
cmt_local_check_install_lib_makefile = $(bin)check_install_lib.make

endif

not_check_install_lib_dependencies = { n=0; for p in $?; do m=0; for d in $(check_install_lib_dependencies); do if [ $$p = $$d ]; then m=1; break; fi; done; if [ $$m -eq 0 ]; then n=1; break; fi; done; [ $$n -eq 1 ]; }

ifdef STRUCTURED_OUTPUT
check_install_libdirs :
	@if test ! -d $(bin)check_install_lib; then $(mkdir) -p $(bin)check_install_lib; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)check_install_lib
else
check_install_libdirs : ;
endif

ifdef cmt_check_install_lib_has_target_tag

ifndef QUICK
$(cmt_local_check_install_lib_makefile) : $(check_install_lib_dependencies) build_library_links
	$(echo) "(constituents.make) Building check_install_lib.make"; \
	  $(cmtexe) -tag=$(tags) $(check_install_lib_extratags) build constituent_config -out=$(cmt_local_check_install_lib_makefile) check_install_lib
else
$(cmt_local_check_install_lib_makefile) : $(check_install_lib_dependencies) $(cmt_build_library_linksstamp) $(use_requirements)
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_check_install_lib) ] || \
	  [ ! -f $(cmt_final_setup_check_install_lib) ] || \
	  $(not_check_install_lib_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building check_install_lib.make"; \
	  $(cmtexe) -tag=$(tags) $(check_install_lib_extratags) build constituent_config -out=$(cmt_local_check_install_lib_makefile) check_install_lib; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_check_install_lib_makefile) : $(check_install_lib_dependencies) build_library_links
	$(echo) "(constituents.make) Building check_install_lib.make"; \
	  $(cmtexe) -f=$(bin)check_install_lib.in -tag=$(tags) $(check_install_lib_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_check_install_lib_makefile) check_install_lib
else
$(cmt_local_check_install_lib_makefile) : $(check_install_lib_dependencies) $(cmt_build_library_linksstamp) $(bin)check_install_lib.in
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_check_install_lib) ] || \
	  [ ! -f $(cmt_final_setup_check_install_lib) ] || \
	  $(not_check_install_lib_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building check_install_lib.make"; \
	  $(cmtexe) -f=$(bin)check_install_lib.in -tag=$(tags) $(check_install_lib_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_check_install_lib_makefile) check_install_lib; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(check_install_lib_extratags) build constituent_makefile -out=$(cmt_local_check_install_lib_makefile) check_install_lib

check_install_lib :: $(check_install_lib_dependencies) $(cmt_local_check_install_lib_makefile) dirs check_install_libdirs
	$(echo) "(constituents.make) Starting check_install_lib"
	@if test -f $(cmt_local_check_install_lib_makefile); then \
	  $(MAKE) -f $(cmt_local_check_install_lib_makefile) check_install_lib; \
	  fi
#	@$(MAKE) -f $(cmt_local_check_install_lib_makefile) check_install_lib
	$(echo) "(constituents.make) check_install_lib done"

clean :: check_install_libclean ;

check_install_libclean :: $(check_install_libclean_dependencies) ##$(cmt_local_check_install_lib_makefile)
	$(echo) "(constituents.make) Starting check_install_libclean"
	@-if test -f $(cmt_local_check_install_lib_makefile); then \
	  $(MAKE) -f $(cmt_local_check_install_lib_makefile) check_install_libclean; \
	fi
	$(echo) "(constituents.make) check_install_libclean done"
#	@-$(MAKE) -f $(cmt_local_check_install_lib_makefile) check_install_libclean

##	  /bin/rm -f $(cmt_local_check_install_lib_makefile) $(bin)check_install_lib_dependencies.make

install :: check_install_libinstall ;

check_install_libinstall :: $(check_install_lib_dependencies) $(cmt_local_check_install_lib_makefile)
	$(echo) "(constituents.make) Starting $@"
	@if test -f $(cmt_local_check_install_lib_makefile); then \
	  $(MAKE) -f $(cmt_local_check_install_lib_makefile) install; \
	  fi
#	@-$(MAKE) -f $(cmt_local_check_install_lib_makefile) install
	$(echo) "(constituents.make) $@ done"

uninstall : check_install_libuninstall

$(foreach d,$(check_install_lib_dependencies),$(eval $(d)uninstall_dependencies += check_install_libuninstall))

check_install_libuninstall : $(check_install_libuninstall_dependencies) ##$(cmt_local_check_install_lib_makefile)
	$(echo) "(constituents.make) Starting $@"
	@-if test -f $(cmt_local_check_install_lib_makefile); then \
	  $(MAKE) -f $(cmt_local_check_install_lib_makefile) uninstall; \
	  fi
#	@$(MAKE) -f $(cmt_local_check_install_lib_makefile) uninstall
	$(echo) "(constituents.make) $@ done"

remove_library_links :: check_install_libuninstall ;

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ check_install_lib"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ check_install_lib done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_check_install_img_has_no_target_tag = 1

#--------------------------------------

ifdef cmt_check_install_img_has_target_tag

cmt_local_tagfile_check_install_img = $(bin)$(AtlantisJava_tag)_check_install_img.make
cmt_final_setup_check_install_img = $(bin)setup_check_install_img.make
cmt_local_check_install_img_makefile = $(bin)check_install_img.make

check_install_img_extratags = -tag_add=target_check_install_img

else

cmt_local_tagfile_check_install_img = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_check_install_img = $(bin)setup.make
cmt_local_check_install_img_makefile = $(bin)check_install_img.make

endif

not_check_install_img_dependencies = { n=0; for p in $?; do m=0; for d in $(check_install_img_dependencies); do if [ $$p = $$d ]; then m=1; break; fi; done; if [ $$m -eq 0 ]; then n=1; break; fi; done; [ $$n -eq 1 ]; }

ifdef STRUCTURED_OUTPUT
check_install_imgdirs :
	@if test ! -d $(bin)check_install_img; then $(mkdir) -p $(bin)check_install_img; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)check_install_img
else
check_install_imgdirs : ;
endif

ifdef cmt_check_install_img_has_target_tag

ifndef QUICK
$(cmt_local_check_install_img_makefile) : $(check_install_img_dependencies) build_library_links
	$(echo) "(constituents.make) Building check_install_img.make"; \
	  $(cmtexe) -tag=$(tags) $(check_install_img_extratags) build constituent_config -out=$(cmt_local_check_install_img_makefile) check_install_img
else
$(cmt_local_check_install_img_makefile) : $(check_install_img_dependencies) $(cmt_build_library_linksstamp) $(use_requirements)
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_check_install_img) ] || \
	  [ ! -f $(cmt_final_setup_check_install_img) ] || \
	  $(not_check_install_img_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building check_install_img.make"; \
	  $(cmtexe) -tag=$(tags) $(check_install_img_extratags) build constituent_config -out=$(cmt_local_check_install_img_makefile) check_install_img; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_check_install_img_makefile) : $(check_install_img_dependencies) build_library_links
	$(echo) "(constituents.make) Building check_install_img.make"; \
	  $(cmtexe) -f=$(bin)check_install_img.in -tag=$(tags) $(check_install_img_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_check_install_img_makefile) check_install_img
else
$(cmt_local_check_install_img_makefile) : $(check_install_img_dependencies) $(cmt_build_library_linksstamp) $(bin)check_install_img.in
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_check_install_img) ] || \
	  [ ! -f $(cmt_final_setup_check_install_img) ] || \
	  $(not_check_install_img_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building check_install_img.make"; \
	  $(cmtexe) -f=$(bin)check_install_img.in -tag=$(tags) $(check_install_img_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_check_install_img_makefile) check_install_img; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(check_install_img_extratags) build constituent_makefile -out=$(cmt_local_check_install_img_makefile) check_install_img

check_install_img :: $(check_install_img_dependencies) $(cmt_local_check_install_img_makefile) dirs check_install_imgdirs
	$(echo) "(constituents.make) Starting check_install_img"
	@if test -f $(cmt_local_check_install_img_makefile); then \
	  $(MAKE) -f $(cmt_local_check_install_img_makefile) check_install_img; \
	  fi
#	@$(MAKE) -f $(cmt_local_check_install_img_makefile) check_install_img
	$(echo) "(constituents.make) check_install_img done"

clean :: check_install_imgclean ;

check_install_imgclean :: $(check_install_imgclean_dependencies) ##$(cmt_local_check_install_img_makefile)
	$(echo) "(constituents.make) Starting check_install_imgclean"
	@-if test -f $(cmt_local_check_install_img_makefile); then \
	  $(MAKE) -f $(cmt_local_check_install_img_makefile) check_install_imgclean; \
	fi
	$(echo) "(constituents.make) check_install_imgclean done"
#	@-$(MAKE) -f $(cmt_local_check_install_img_makefile) check_install_imgclean

##	  /bin/rm -f $(cmt_local_check_install_img_makefile) $(bin)check_install_img_dependencies.make

install :: check_install_imginstall ;

check_install_imginstall :: $(check_install_img_dependencies) $(cmt_local_check_install_img_makefile)
	$(echo) "(constituents.make) Starting $@"
	@if test -f $(cmt_local_check_install_img_makefile); then \
	  $(MAKE) -f $(cmt_local_check_install_img_makefile) install; \
	  fi
#	@-$(MAKE) -f $(cmt_local_check_install_img_makefile) install
	$(echo) "(constituents.make) $@ done"

uninstall : check_install_imguninstall

$(foreach d,$(check_install_img_dependencies),$(eval $(d)uninstall_dependencies += check_install_imguninstall))

check_install_imguninstall : $(check_install_imguninstall_dependencies) ##$(cmt_local_check_install_img_makefile)
	$(echo) "(constituents.make) Starting $@"
	@-if test -f $(cmt_local_check_install_img_makefile); then \
	  $(MAKE) -f $(cmt_local_check_install_img_makefile) uninstall; \
	  fi
#	@$(MAKE) -f $(cmt_local_check_install_img_makefile) uninstall
	$(echo) "(constituents.make) $@ done"

remove_library_links :: check_install_imguninstall ;

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ check_install_img"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ check_install_img done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_check_install_configuration_has_no_target_tag = 1

#--------------------------------------

ifdef cmt_check_install_configuration_has_target_tag

cmt_local_tagfile_check_install_configuration = $(bin)$(AtlantisJava_tag)_check_install_configuration.make
cmt_final_setup_check_install_configuration = $(bin)setup_check_install_configuration.make
cmt_local_check_install_configuration_makefile = $(bin)check_install_configuration.make

check_install_configuration_extratags = -tag_add=target_check_install_configuration

else

cmt_local_tagfile_check_install_configuration = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_check_install_configuration = $(bin)setup.make
cmt_local_check_install_configuration_makefile = $(bin)check_install_configuration.make

endif

not_check_install_configuration_dependencies = { n=0; for p in $?; do m=0; for d in $(check_install_configuration_dependencies); do if [ $$p = $$d ]; then m=1; break; fi; done; if [ $$m -eq 0 ]; then n=1; break; fi; done; [ $$n -eq 1 ]; }

ifdef STRUCTURED_OUTPUT
check_install_configurationdirs :
	@if test ! -d $(bin)check_install_configuration; then $(mkdir) -p $(bin)check_install_configuration; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)check_install_configuration
else
check_install_configurationdirs : ;
endif

ifdef cmt_check_install_configuration_has_target_tag

ifndef QUICK
$(cmt_local_check_install_configuration_makefile) : $(check_install_configuration_dependencies) build_library_links
	$(echo) "(constituents.make) Building check_install_configuration.make"; \
	  $(cmtexe) -tag=$(tags) $(check_install_configuration_extratags) build constituent_config -out=$(cmt_local_check_install_configuration_makefile) check_install_configuration
else
$(cmt_local_check_install_configuration_makefile) : $(check_install_configuration_dependencies) $(cmt_build_library_linksstamp) $(use_requirements)
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_check_install_configuration) ] || \
	  [ ! -f $(cmt_final_setup_check_install_configuration) ] || \
	  $(not_check_install_configuration_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building check_install_configuration.make"; \
	  $(cmtexe) -tag=$(tags) $(check_install_configuration_extratags) build constituent_config -out=$(cmt_local_check_install_configuration_makefile) check_install_configuration; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_check_install_configuration_makefile) : $(check_install_configuration_dependencies) build_library_links
	$(echo) "(constituents.make) Building check_install_configuration.make"; \
	  $(cmtexe) -f=$(bin)check_install_configuration.in -tag=$(tags) $(check_install_configuration_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_check_install_configuration_makefile) check_install_configuration
else
$(cmt_local_check_install_configuration_makefile) : $(check_install_configuration_dependencies) $(cmt_build_library_linksstamp) $(bin)check_install_configuration.in
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_check_install_configuration) ] || \
	  [ ! -f $(cmt_final_setup_check_install_configuration) ] || \
	  $(not_check_install_configuration_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building check_install_configuration.make"; \
	  $(cmtexe) -f=$(bin)check_install_configuration.in -tag=$(tags) $(check_install_configuration_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_check_install_configuration_makefile) check_install_configuration; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(check_install_configuration_extratags) build constituent_makefile -out=$(cmt_local_check_install_configuration_makefile) check_install_configuration

check_install_configuration :: $(check_install_configuration_dependencies) $(cmt_local_check_install_configuration_makefile) dirs check_install_configurationdirs
	$(echo) "(constituents.make) Starting check_install_configuration"
	@if test -f $(cmt_local_check_install_configuration_makefile); then \
	  $(MAKE) -f $(cmt_local_check_install_configuration_makefile) check_install_configuration; \
	  fi
#	@$(MAKE) -f $(cmt_local_check_install_configuration_makefile) check_install_configuration
	$(echo) "(constituents.make) check_install_configuration done"

clean :: check_install_configurationclean ;

check_install_configurationclean :: $(check_install_configurationclean_dependencies) ##$(cmt_local_check_install_configuration_makefile)
	$(echo) "(constituents.make) Starting check_install_configurationclean"
	@-if test -f $(cmt_local_check_install_configuration_makefile); then \
	  $(MAKE) -f $(cmt_local_check_install_configuration_makefile) check_install_configurationclean; \
	fi
	$(echo) "(constituents.make) check_install_configurationclean done"
#	@-$(MAKE) -f $(cmt_local_check_install_configuration_makefile) check_install_configurationclean

##	  /bin/rm -f $(cmt_local_check_install_configuration_makefile) $(bin)check_install_configuration_dependencies.make

install :: check_install_configurationinstall ;

check_install_configurationinstall :: $(check_install_configuration_dependencies) $(cmt_local_check_install_configuration_makefile)
	$(echo) "(constituents.make) Starting $@"
	@if test -f $(cmt_local_check_install_configuration_makefile); then \
	  $(MAKE) -f $(cmt_local_check_install_configuration_makefile) install; \
	  fi
#	@-$(MAKE) -f $(cmt_local_check_install_configuration_makefile) install
	$(echo) "(constituents.make) $@ done"

uninstall : check_install_configurationuninstall

$(foreach d,$(check_install_configuration_dependencies),$(eval $(d)uninstall_dependencies += check_install_configurationuninstall))

check_install_configurationuninstall : $(check_install_configurationuninstall_dependencies) ##$(cmt_local_check_install_configuration_makefile)
	$(echo) "(constituents.make) Starting $@"
	@-if test -f $(cmt_local_check_install_configuration_makefile); then \
	  $(MAKE) -f $(cmt_local_check_install_configuration_makefile) uninstall; \
	  fi
#	@$(MAKE) -f $(cmt_local_check_install_configuration_makefile) uninstall
	$(echo) "(constituents.make) $@ done"

remove_library_links :: check_install_configurationuninstall ;

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ check_install_configuration"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ check_install_configuration done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_check_install_events_has_no_target_tag = 1

#--------------------------------------

ifdef cmt_check_install_events_has_target_tag

cmt_local_tagfile_check_install_events = $(bin)$(AtlantisJava_tag)_check_install_events.make
cmt_final_setup_check_install_events = $(bin)setup_check_install_events.make
cmt_local_check_install_events_makefile = $(bin)check_install_events.make

check_install_events_extratags = -tag_add=target_check_install_events

else

cmt_local_tagfile_check_install_events = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_check_install_events = $(bin)setup.make
cmt_local_check_install_events_makefile = $(bin)check_install_events.make

endif

not_check_install_events_dependencies = { n=0; for p in $?; do m=0; for d in $(check_install_events_dependencies); do if [ $$p = $$d ]; then m=1; break; fi; done; if [ $$m -eq 0 ]; then n=1; break; fi; done; [ $$n -eq 1 ]; }

ifdef STRUCTURED_OUTPUT
check_install_eventsdirs :
	@if test ! -d $(bin)check_install_events; then $(mkdir) -p $(bin)check_install_events; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)check_install_events
else
check_install_eventsdirs : ;
endif

ifdef cmt_check_install_events_has_target_tag

ifndef QUICK
$(cmt_local_check_install_events_makefile) : $(check_install_events_dependencies) build_library_links
	$(echo) "(constituents.make) Building check_install_events.make"; \
	  $(cmtexe) -tag=$(tags) $(check_install_events_extratags) build constituent_config -out=$(cmt_local_check_install_events_makefile) check_install_events
else
$(cmt_local_check_install_events_makefile) : $(check_install_events_dependencies) $(cmt_build_library_linksstamp) $(use_requirements)
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_check_install_events) ] || \
	  [ ! -f $(cmt_final_setup_check_install_events) ] || \
	  $(not_check_install_events_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building check_install_events.make"; \
	  $(cmtexe) -tag=$(tags) $(check_install_events_extratags) build constituent_config -out=$(cmt_local_check_install_events_makefile) check_install_events; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_check_install_events_makefile) : $(check_install_events_dependencies) build_library_links
	$(echo) "(constituents.make) Building check_install_events.make"; \
	  $(cmtexe) -f=$(bin)check_install_events.in -tag=$(tags) $(check_install_events_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_check_install_events_makefile) check_install_events
else
$(cmt_local_check_install_events_makefile) : $(check_install_events_dependencies) $(cmt_build_library_linksstamp) $(bin)check_install_events.in
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_check_install_events) ] || \
	  [ ! -f $(cmt_final_setup_check_install_events) ] || \
	  $(not_check_install_events_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building check_install_events.make"; \
	  $(cmtexe) -f=$(bin)check_install_events.in -tag=$(tags) $(check_install_events_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_check_install_events_makefile) check_install_events; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(check_install_events_extratags) build constituent_makefile -out=$(cmt_local_check_install_events_makefile) check_install_events

check_install_events :: $(check_install_events_dependencies) $(cmt_local_check_install_events_makefile) dirs check_install_eventsdirs
	$(echo) "(constituents.make) Starting check_install_events"
	@if test -f $(cmt_local_check_install_events_makefile); then \
	  $(MAKE) -f $(cmt_local_check_install_events_makefile) check_install_events; \
	  fi
#	@$(MAKE) -f $(cmt_local_check_install_events_makefile) check_install_events
	$(echo) "(constituents.make) check_install_events done"

clean :: check_install_eventsclean ;

check_install_eventsclean :: $(check_install_eventsclean_dependencies) ##$(cmt_local_check_install_events_makefile)
	$(echo) "(constituents.make) Starting check_install_eventsclean"
	@-if test -f $(cmt_local_check_install_events_makefile); then \
	  $(MAKE) -f $(cmt_local_check_install_events_makefile) check_install_eventsclean; \
	fi
	$(echo) "(constituents.make) check_install_eventsclean done"
#	@-$(MAKE) -f $(cmt_local_check_install_events_makefile) check_install_eventsclean

##	  /bin/rm -f $(cmt_local_check_install_events_makefile) $(bin)check_install_events_dependencies.make

install :: check_install_eventsinstall ;

check_install_eventsinstall :: $(check_install_events_dependencies) $(cmt_local_check_install_events_makefile)
	$(echo) "(constituents.make) Starting $@"
	@if test -f $(cmt_local_check_install_events_makefile); then \
	  $(MAKE) -f $(cmt_local_check_install_events_makefile) install; \
	  fi
#	@-$(MAKE) -f $(cmt_local_check_install_events_makefile) install
	$(echo) "(constituents.make) $@ done"

uninstall : check_install_eventsuninstall

$(foreach d,$(check_install_events_dependencies),$(eval $(d)uninstall_dependencies += check_install_eventsuninstall))

check_install_eventsuninstall : $(check_install_eventsuninstall_dependencies) ##$(cmt_local_check_install_events_makefile)
	$(echo) "(constituents.make) Starting $@"
	@-if test -f $(cmt_local_check_install_events_makefile); then \
	  $(MAKE) -f $(cmt_local_check_install_events_makefile) uninstall; \
	  fi
#	@$(MAKE) -f $(cmt_local_check_install_events_makefile) uninstall
	$(echo) "(constituents.make) $@ done"

remove_library_links :: check_install_eventsuninstall ;

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ check_install_events"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ check_install_events done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_check_install_geometry_has_no_target_tag = 1

#--------------------------------------

ifdef cmt_check_install_geometry_has_target_tag

cmt_local_tagfile_check_install_geometry = $(bin)$(AtlantisJava_tag)_check_install_geometry.make
cmt_final_setup_check_install_geometry = $(bin)setup_check_install_geometry.make
cmt_local_check_install_geometry_makefile = $(bin)check_install_geometry.make

check_install_geometry_extratags = -tag_add=target_check_install_geometry

else

cmt_local_tagfile_check_install_geometry = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_check_install_geometry = $(bin)setup.make
cmt_local_check_install_geometry_makefile = $(bin)check_install_geometry.make

endif

not_check_install_geometry_dependencies = { n=0; for p in $?; do m=0; for d in $(check_install_geometry_dependencies); do if [ $$p = $$d ]; then m=1; break; fi; done; if [ $$m -eq 0 ]; then n=1; break; fi; done; [ $$n -eq 1 ]; }

ifdef STRUCTURED_OUTPUT
check_install_geometrydirs :
	@if test ! -d $(bin)check_install_geometry; then $(mkdir) -p $(bin)check_install_geometry; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)check_install_geometry
else
check_install_geometrydirs : ;
endif

ifdef cmt_check_install_geometry_has_target_tag

ifndef QUICK
$(cmt_local_check_install_geometry_makefile) : $(check_install_geometry_dependencies) build_library_links
	$(echo) "(constituents.make) Building check_install_geometry.make"; \
	  $(cmtexe) -tag=$(tags) $(check_install_geometry_extratags) build constituent_config -out=$(cmt_local_check_install_geometry_makefile) check_install_geometry
else
$(cmt_local_check_install_geometry_makefile) : $(check_install_geometry_dependencies) $(cmt_build_library_linksstamp) $(use_requirements)
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_check_install_geometry) ] || \
	  [ ! -f $(cmt_final_setup_check_install_geometry) ] || \
	  $(not_check_install_geometry_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building check_install_geometry.make"; \
	  $(cmtexe) -tag=$(tags) $(check_install_geometry_extratags) build constituent_config -out=$(cmt_local_check_install_geometry_makefile) check_install_geometry; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_check_install_geometry_makefile) : $(check_install_geometry_dependencies) build_library_links
	$(echo) "(constituents.make) Building check_install_geometry.make"; \
	  $(cmtexe) -f=$(bin)check_install_geometry.in -tag=$(tags) $(check_install_geometry_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_check_install_geometry_makefile) check_install_geometry
else
$(cmt_local_check_install_geometry_makefile) : $(check_install_geometry_dependencies) $(cmt_build_library_linksstamp) $(bin)check_install_geometry.in
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_check_install_geometry) ] || \
	  [ ! -f $(cmt_final_setup_check_install_geometry) ] || \
	  $(not_check_install_geometry_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building check_install_geometry.make"; \
	  $(cmtexe) -f=$(bin)check_install_geometry.in -tag=$(tags) $(check_install_geometry_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_check_install_geometry_makefile) check_install_geometry; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(check_install_geometry_extratags) build constituent_makefile -out=$(cmt_local_check_install_geometry_makefile) check_install_geometry

check_install_geometry :: $(check_install_geometry_dependencies) $(cmt_local_check_install_geometry_makefile) dirs check_install_geometrydirs
	$(echo) "(constituents.make) Starting check_install_geometry"
	@if test -f $(cmt_local_check_install_geometry_makefile); then \
	  $(MAKE) -f $(cmt_local_check_install_geometry_makefile) check_install_geometry; \
	  fi
#	@$(MAKE) -f $(cmt_local_check_install_geometry_makefile) check_install_geometry
	$(echo) "(constituents.make) check_install_geometry done"

clean :: check_install_geometryclean ;

check_install_geometryclean :: $(check_install_geometryclean_dependencies) ##$(cmt_local_check_install_geometry_makefile)
	$(echo) "(constituents.make) Starting check_install_geometryclean"
	@-if test -f $(cmt_local_check_install_geometry_makefile); then \
	  $(MAKE) -f $(cmt_local_check_install_geometry_makefile) check_install_geometryclean; \
	fi
	$(echo) "(constituents.make) check_install_geometryclean done"
#	@-$(MAKE) -f $(cmt_local_check_install_geometry_makefile) check_install_geometryclean

##	  /bin/rm -f $(cmt_local_check_install_geometry_makefile) $(bin)check_install_geometry_dependencies.make

install :: check_install_geometryinstall ;

check_install_geometryinstall :: $(check_install_geometry_dependencies) $(cmt_local_check_install_geometry_makefile)
	$(echo) "(constituents.make) Starting $@"
	@if test -f $(cmt_local_check_install_geometry_makefile); then \
	  $(MAKE) -f $(cmt_local_check_install_geometry_makefile) install; \
	  fi
#	@-$(MAKE) -f $(cmt_local_check_install_geometry_makefile) install
	$(echo) "(constituents.make) $@ done"

uninstall : check_install_geometryuninstall

$(foreach d,$(check_install_geometry_dependencies),$(eval $(d)uninstall_dependencies += check_install_geometryuninstall))

check_install_geometryuninstall : $(check_install_geometryuninstall_dependencies) ##$(cmt_local_check_install_geometry_makefile)
	$(echo) "(constituents.make) Starting $@"
	@-if test -f $(cmt_local_check_install_geometry_makefile); then \
	  $(MAKE) -f $(cmt_local_check_install_geometry_makefile) uninstall; \
	  fi
#	@$(MAKE) -f $(cmt_local_check_install_geometry_makefile) uninstall
	$(echo) "(constituents.make) $@ done"

remove_library_links :: check_install_geometryuninstall ;

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ check_install_geometry"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ check_install_geometry done"
endif

#-- end of constituent ------
#-- start of constituent ------

cmt_check_install_help_has_no_target_tag = 1

#--------------------------------------

ifdef cmt_check_install_help_has_target_tag

cmt_local_tagfile_check_install_help = $(bin)$(AtlantisJava_tag)_check_install_help.make
cmt_final_setup_check_install_help = $(bin)setup_check_install_help.make
cmt_local_check_install_help_makefile = $(bin)check_install_help.make

check_install_help_extratags = -tag_add=target_check_install_help

else

cmt_local_tagfile_check_install_help = $(bin)$(AtlantisJava_tag).make
cmt_final_setup_check_install_help = $(bin)setup.make
cmt_local_check_install_help_makefile = $(bin)check_install_help.make

endif

not_check_install_help_dependencies = { n=0; for p in $?; do m=0; for d in $(check_install_help_dependencies); do if [ $$p = $$d ]; then m=1; break; fi; done; if [ $$m -eq 0 ]; then n=1; break; fi; done; [ $$n -eq 1 ]; }

ifdef STRUCTURED_OUTPUT
check_install_helpdirs :
	@if test ! -d $(bin)check_install_help; then $(mkdir) -p $(bin)check_install_help; fi
	$(echo) "STRUCTURED_OUTPUT="$(bin)check_install_help
else
check_install_helpdirs : ;
endif

ifdef cmt_check_install_help_has_target_tag

ifndef QUICK
$(cmt_local_check_install_help_makefile) : $(check_install_help_dependencies) build_library_links
	$(echo) "(constituents.make) Building check_install_help.make"; \
	  $(cmtexe) -tag=$(tags) $(check_install_help_extratags) build constituent_config -out=$(cmt_local_check_install_help_makefile) check_install_help
else
$(cmt_local_check_install_help_makefile) : $(check_install_help_dependencies) $(cmt_build_library_linksstamp) $(use_requirements)
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_check_install_help) ] || \
	  [ ! -f $(cmt_final_setup_check_install_help) ] || \
	  $(not_check_install_help_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building check_install_help.make"; \
	  $(cmtexe) -tag=$(tags) $(check_install_help_extratags) build constituent_config -out=$(cmt_local_check_install_help_makefile) check_install_help; \
	  fi
endif

else

ifndef QUICK
$(cmt_local_check_install_help_makefile) : $(check_install_help_dependencies) build_library_links
	$(echo) "(constituents.make) Building check_install_help.make"; \
	  $(cmtexe) -f=$(bin)check_install_help.in -tag=$(tags) $(check_install_help_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_check_install_help_makefile) check_install_help
else
$(cmt_local_check_install_help_makefile) : $(check_install_help_dependencies) $(cmt_build_library_linksstamp) $(bin)check_install_help.in
	@if [ ! -f $@ ] || [ ! -f $(cmt_local_tagfile_check_install_help) ] || \
	  [ ! -f $(cmt_final_setup_check_install_help) ] || \
	  $(not_check_install_help_dependencies) ; then \
	  test -z "$(cmtmsg)" || \
	  echo "$(CMTMSGPREFIX)" "(constituents.make) Building check_install_help.make"; \
	  $(cmtexe) -f=$(bin)check_install_help.in -tag=$(tags) $(check_install_help_extratags) build constituent_makefile -without_cmt -out=$(cmt_local_check_install_help_makefile) check_install_help; \
	  fi
endif

endif

#	  $(cmtexe) -tag=$(tags) $(check_install_help_extratags) build constituent_makefile -out=$(cmt_local_check_install_help_makefile) check_install_help

check_install_help :: $(check_install_help_dependencies) $(cmt_local_check_install_help_makefile) dirs check_install_helpdirs
	$(echo) "(constituents.make) Starting check_install_help"
	@if test -f $(cmt_local_check_install_help_makefile); then \
	  $(MAKE) -f $(cmt_local_check_install_help_makefile) check_install_help; \
	  fi
#	@$(MAKE) -f $(cmt_local_check_install_help_makefile) check_install_help
	$(echo) "(constituents.make) check_install_help done"

clean :: check_install_helpclean ;

check_install_helpclean :: $(check_install_helpclean_dependencies) ##$(cmt_local_check_install_help_makefile)
	$(echo) "(constituents.make) Starting check_install_helpclean"
	@-if test -f $(cmt_local_check_install_help_makefile); then \
	  $(MAKE) -f $(cmt_local_check_install_help_makefile) check_install_helpclean; \
	fi
	$(echo) "(constituents.make) check_install_helpclean done"
#	@-$(MAKE) -f $(cmt_local_check_install_help_makefile) check_install_helpclean

##	  /bin/rm -f $(cmt_local_check_install_help_makefile) $(bin)check_install_help_dependencies.make

install :: check_install_helpinstall ;

check_install_helpinstall :: $(check_install_help_dependencies) $(cmt_local_check_install_help_makefile)
	$(echo) "(constituents.make) Starting $@"
	@if test -f $(cmt_local_check_install_help_makefile); then \
	  $(MAKE) -f $(cmt_local_check_install_help_makefile) install; \
	  fi
#	@-$(MAKE) -f $(cmt_local_check_install_help_makefile) install
	$(echo) "(constituents.make) $@ done"

uninstall : check_install_helpuninstall

$(foreach d,$(check_install_help_dependencies),$(eval $(d)uninstall_dependencies += check_install_helpuninstall))

check_install_helpuninstall : $(check_install_helpuninstall_dependencies) ##$(cmt_local_check_install_help_makefile)
	$(echo) "(constituents.make) Starting $@"
	@-if test -f $(cmt_local_check_install_help_makefile); then \
	  $(MAKE) -f $(cmt_local_check_install_help_makefile) uninstall; \
	  fi
#	@$(MAKE) -f $(cmt_local_check_install_help_makefile) uninstall
	$(echo) "(constituents.make) $@ done"

remove_library_links :: check_install_helpuninstall ;

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(constituents.make) Starting $@ check_install_help"
	$(echo) Using default action for $@
	$(echo) "(constituents.make) $@ check_install_help done"
endif

#-- end of constituent ------
#-- start of constituents_trailer ------

uninstall : remove_library_links ;
clean ::
	$(cleanup_echo) $(cmt_build_library_linksstamp)
	-$(cleanup_silent) \rm -f $(cmt_build_library_linksstamp)
#clean :: remove_library_links

remove_library_links ::
ifndef QUICK
	$(echo) "(constituents.make) Removing library links"; \
	  $(remove_library_links)
else
	$(echo) "(constituents.make) Removing library links"; \
	  $(remove_library_links) -f=$(bin)library_links.in -without_cmt
endif

#-- end of constituents_trailer ------
